View Issue Details

IDProjectCategoryView StatusLast Update
0005602DarkRadiantGeneralpublic05.05.2021 17:53
ReporterBrendonChung Assigned Togreebo  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSWindows 10 
Product Version2.12.0 
Target Version2.13.0Fixed in Version2.13.0 
Summary0005602: Crash when activating the Material Editor in Doom3 game config
DescriptionWhen I activate the Material Editor, DarkRadiant crashes.

The Material Editor window appears and I can see the Material Editor interface, but it's blocked by an error message:
"Unhandled exception
An unhandled exception occurred. Press "Abort" to terminate the program,
"Retry" to exit the program normally and "Ignore" to try to continue.
Abort Retry Ignore"

I have uploaded the crash dump here:
https://www.dropbox.com/sh/10aqxwtkd2lx84x/AACcmql25Nb9rq026wLLUVoSa?dl=0
Steps To Reproduce1. Go to Map > Material Editor
2. The program displays an "Unhandled exception" error popup.
3. After closing the error popup, the program crashes.
TagsNo tags attached.

Activities

greebo

greebo

04.05.2021 18:18

administrator   ~0013947

Thanks for the dump. I can see there's an unhandled exception nuking the application but I can't see where it comes from. Do you happen to have the DarkRadiant.log from your c:\users\name\AppData\Roaming\DarkRadiant folder from after it crashes? That might contain the exception message.
greebo

greebo

04.05.2021 18:19

administrator   ~0013948

Another question: what game configuration are you working with? The Dark Mod or something else?
BrendonChung

BrendonChung

04.05.2021 19:45

reporter   ~0013949

Sure thing, I attached my .log file. I also attached an image of the crash.

I'm using the Doom3 game configuration (though I should note I'm not using any stock Doom3 assets). I was thinking there was perhaps something in my game setup causing the crash, but wasn't sure how to diagnose this.
BrendonChung

BrendonChung

04.05.2021 19:46

reporter   ~0013950

Last edited: 04.05.2021 19:48

Sorry, the .log file didn't seem to properly attach. Here it is:
darkradiant.log (34,105 bytes)   
2021-05-04 12:39:53 (23020) Started logging to C:/Users/Brendon/AppData/Roaming/DarkRadiant/darkradiant.log
2021-05-04 12:39:53 (23020) This is DarkRadiant 2.12.0 x64 
2021-05-04 12:39:53 (23020) Today is 2021-05-04 12:39:53
2021-05-04 12:39:53 (23020) ModuleRegistry instantiated.
2021-05-04 12:39:53 (23020) Module registered: RadiantCore
2021-05-04 12:39:53 (23020) Current language setting: en
2021-05-04 12:39:53 (23020) Found 2 language folders.
2021-05-04 12:39:53 (23020) Module registered: CameraWndManager
2021-05-04 12:39:53 (23020) Module registered: Clipboard
2021-05-04 12:39:53 (23020) Module registered: EventManager
2021-05-04 12:39:53 (23020) Module registered: MouseToolManager
2021-05-04 12:39:53 (23020) Module registered: AutomaticMapSaver
2021-05-04 12:39:53 (23020) Module registered: StartupMapLoader
2021-05-04 12:39:53 (23020) Module registered: LocalisationModule
2021-05-04 12:39:53 (23020) Module registered: DialogManager
2021-05-04 12:39:53 (23020) Module registered: UserInterfaceModule
2021-05-04 12:39:53 (23020) Module registered: FavouritesUserInterface
2021-05-04 12:39:53 (23020) Module registered: FilterUserInterface
2021-05-04 12:39:53 (23020) Module registered: wxGLWidgetManager
2021-05-04 12:39:53 (23020) Module registered: GridUserInterface
2021-05-04 12:39:53 (23020) Module registered: GroupDialogModule
2021-05-04 12:39:53 (23020) Module registered: MainFrame
2021-05-04 12:39:53 (23020) Module registered: MainFrameLayoutManager
2021-05-04 12:39:53 (23020) Module registered: MaterialEditor
2021-05-04 12:39:53 (23020) Module registered: MediaBrowser
2021-05-04 12:39:53 (23020) Module registered: MenuManager
2021-05-04 12:39:53 (23020) Module registered: EntityInspector
2021-05-04 12:39:53 (23020) Module registered: OrthoContextMenu
2021-05-04 12:39:53 (23020) Module registered: ScriptUserInterface
2021-05-04 12:39:53 (23020) Module registered: StatusBarManager
2021-05-04 12:39:53 (23020) Module registered: TextureBrowserManager
2021-05-04 12:39:53 (23020) Module registered: ToolBarManager
2021-05-04 12:39:53 (23020) Module registered: OrthoviewManager
2021-05-04 12:39:53 (23020) Module registered: Doom3BrushCreator
2021-05-04 12:39:53 (23020) Module registered: CameraManager
2021-05-04 12:39:53 (23020) Module registered: Clipper
2021-05-04 12:39:53 (23020) Module registered: FavouritesManager
2021-05-04 12:39:53 (23020) Module registered: EclassColourManager
2021-05-04 12:39:53 (23020) Module registered: EntityClassManager
2021-05-04 12:39:53 (23020) Module registered: EntityModule
2021-05-04 12:39:53 (23020) Module registered: FileTypes
2021-05-04 12:39:53 (23020) Module registered: FilterSystem
2021-05-04 12:39:53 (23020) Module registered: FontManager
2021-05-04 12:39:53 (23020) Module registered: Grid
2021-05-04 12:39:53 (23020) Module registered: ImageLoader
2021-05-04 12:39:53 (23020) Module registered: LayerModule
2021-05-04 12:39:53 (23020) Module registered: ZAasFileManager
2021-05-04 12:39:53 (23020) Module registered: Doom3AasFileLoader
2021-05-04 12:39:53 (23020) Module registered: Counters
2021-05-04 12:39:53 (23020) Module registered: EditingStopwatch
2021-05-04 12:39:53 (23020) Module registered: Map
2021-05-04 12:39:53 (23020) Module registered: MapResourceManager
2021-05-04 12:39:53 (23020) Module registered: PointFile
2021-05-04 12:39:53 (23020) Module registered: RegionManager
2021-05-04 12:39:53 (23020) Module registered: Doom3MapLoader
2021-05-04 12:39:53 (23020) Module registered: Doom3PrefabLoader
2021-05-04 12:39:53 (23020) Module registered: MapFormatManager
2021-05-04 12:39:53 (23020) Module registered: Quake3MapLoader
2021-05-04 12:39:53 (23020) Module registered: Quake4MapLoader
2021-05-04 12:39:53 (23020) Module registered: class map::format::PortableMapFormat
2021-05-04 12:39:53 (23020) Module registered: MapInfoFileManager
2021-05-04 12:39:53 (23020) Module registered: MRUManager
2021-05-04 12:39:53 (23020) Module registered: NamespaceFactory
2021-05-04 12:39:53 (23020) Module registered: MD5Module
2021-05-04 12:39:53 (23020) Module registered: MD5AnimationCache
2021-05-04 12:39:53 (23020) Module registered: ModelCache
2021-05-04 12:39:53 (23020) Module registered: ModelFormatManager
2021-05-04 12:39:53 (23020) Module registered: PicoModelModule
2021-05-04 12:39:53 (23020) Module registered: ParticlesManager
2021-05-04 12:39:53 (23020) Module registered: PatchModule
2021-05-04 12:39:53 (23020) Module registered: CommandSystem
2021-05-04 12:39:53 (23020) Module registered: OpenGL
2021-05-04 12:39:53 (23020) Module registered: ShaderCache
2021-05-04 12:39:53 (23020) Module registered: RenderSystemFactory
2021-05-04 12:39:53 (23020) Module registered: SharedGLContextHolder
2021-05-04 12:39:53 (23020) Module registered: SceneGraph
2021-05-04 12:39:53 (23020) Module registered: SceneGraphFactory
2021-05-04 12:39:53 (23020) Module registered: SelectionGroupModule
2021-05-04 12:39:53 (23020) Module registered: SelectionSystem
2021-05-04 12:39:53 (23020) Module registered: SelectionSetModule
2021-05-04 12:39:53 (23020) Module registered: ShaderClipboard
2021-05-04 12:39:53 (23020) Module registered: ColourSchemeManager
2021-05-04 12:39:53 (23020) Module registered: GameManager
2021-05-04 12:39:53 (23020) Module registered: PreferenceSystem
2021-05-04 12:39:53 (23020) Module registered: MaterialManager
2021-05-04 12:39:53 (23020) Module registered: ModelSkinCache
2021-05-04 12:39:53 (23020) Module registered: UndoSystem
2021-05-04 12:39:53 (23020) Module registered: VirtualFileSystem
2021-05-04 12:39:53 (23020) Module registered: XMLRegistry
2021-05-04 12:39:53 (23020) ModuleRegistry Compatibility Level is 20201026
2021-05-04 12:39:53 (23020) ModuleLoader: loading modules from D:/games/monstergame/tools/darkradiant/modules/
2021-05-04 12:39:53 (23020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/modules/DarkRadiantCore.dll'
2021-05-04 12:39:53 (23020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/modules/script.dll'
2021-05-04 12:39:53 (23020) Module registered: ScriptingSystem
2021-05-04 12:39:53 (23020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/modules/sound.dll'
2021-05-04 12:39:53 (23020) Module registered: SoundManager
2021-05-04 12:39:53 (23020) ModuleLoader: loading modules from D:/games/monstergame/tools/darkradiant/plugins/
2021-05-04 12:39:53 (23020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.conversation.dll'
2021-05-04 12:39:53 (23020) Module registered: ConversationEditor
2021-05-04 12:39:53 (23020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.difficulty.dll'
2021-05-04 12:39:53 (23020) Module registered: DifficultyEditor
2021-05-04 12:39:53 (23020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.editing.dll'
2021-05-04 12:39:53 (23020) Module registered: DarkMod Editing
2021-05-04 12:39:53 (23020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.gameconnection.dll'
2021-05-04 12:39:53 (23020) Module registered: GameConnection
2021-05-04 12:39:53 (23020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.gui.dll'
2021-05-04 12:39:53 (23020) Module registered: GUI Editing
2021-05-04 12:39:53 (23020) Module registered: GuiManager
2021-05-04 12:39:53 (23020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.objectives.dll'
2021-05-04 12:39:53 (23020) Module registered: ObjectivesEditor
2021-05-04 12:39:53 (23020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.stimresponse.dll'
2021-05-04 12:39:53 (23020) Module registered: StimResponseEditor
2021-05-04 12:39:53 (23020) FileTypes::initialiseModule called.
2021-05-04 12:39:53 (23020) XMLRegistry::initialiseModule called
2021-05-04 12:39:53 (23020) XMLRegistry: looking for XML files in D:/games/monstergame/tools/darkradiant/
2021-05-04 12:39:53 (23020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/user.xml
2021-05-04 12:39:53 (23020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/colours.xml
2021-05-04 12:39:53 (23020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/input.xml
2021-05-04 12:39:53 (23020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/menu.xml
2021-05-04 12:39:53 (23020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/commandsystem.xml
2021-05-04 12:39:53 (23020) XMLRegistry: Importing XML file: C:/Users/Brendon/AppData/Roaming/DarkRadiant/user.xml
2021-05-04 12:39:53 (23020) XMLRegistry: Importing XML file: C:/Users/Brendon/AppData/Roaming/DarkRadiant/colours.xml
2021-05-04 12:39:53 (23020) XMLRegistry: Importing XML file: C:/Users/Brendon/AppData/Roaming/DarkRadiant/input.xml
2021-05-04 12:39:53 (23020) XMLRegistry: Importing XML file: C:/Users/Brendon/AppData/Roaming/DarkRadiant/filters.xml
2021-05-04 12:39:53 (23020) CommandSystem::initialiseModule called.
2021-05-04 12:39:53 (23020) PreferenceSystem::initialiseModule called
2021-05-04 12:39:53 (23020) VirtualFileSystem::initialiseModule called
2021-05-04 12:39:53 (23020) GameManager: Scanning for game description files: D:/games/monstergame/tools/darkradiant/games/
2021-05-04 12:39:53 (23020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/darkmod.game
2021-05-04 12:39:53 (23020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/doom3-demo.game
2021-05-04 12:39:53 (23020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/doom3.game
2021-05-04 12:39:53 (23020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/prey.game
2021-05-04 12:39:53 (23020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/quake3.game
2021-05-04 12:39:53 (23020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/quake4.game
2021-05-04 12:39:53 (23020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/xreal.game
2021-05-04 12:39:53 (23020) GameManager: Found game definitions: 
2021-05-04 12:39:53 (23020)   Doom 3
2021-05-04 12:39:53 (23020)   Doom 3 Demo
2021-05-04 12:39:53 (23020)   Prey
2021-05-04 12:39:53 (23020)   Quake 3
2021-05-04 12:39:53 (23020)   Quake 4
2021-05-04 12:39:53 (23020)   The Dark Mod 2.0 (Standalone)
2021-05-04 12:39:53 (23020)   XreaL
2021-05-04 12:39:53 (23020) 
2021-05-04 12:39:53 (23020) GameManager: Selected game type: Doom 3
2021-05-04 12:39:53 (23020) GameManager: Map path set to d:/games/monstergame/base/maps/
2021-05-04 12:39:53 (23020) GameManager: Prefab path set to d:/games/monstergame/base/prefabs/
2021-05-04 12:39:53 (23020) Initialising filesystem using 1 paths 
2021-05-04 12:39:53 (23020) VFS Search Path priority is: 
2021-05-04 12:39:53 (23020) - d:/games/monstergame/base/
2021-05-04 12:39:53 (23020) Allowed PK4 Archive File Extensions: pk4
2021-05-04 12:39:53 (23020) [vfs] Searched directory: d:/games/monstergame/base/
2021-05-04 12:39:53 (23020) MapInfoFileManager::initialiseModule called.
2021-05-04 12:39:53 (23020) MapFormatManager::initialiseModule called.
2021-05-04 12:39:53 (23020) Doom3MapLoader: initialiseModule called.
2021-05-04 12:39:53 (23020) MapResourceManager::initialiseModule called.
2021-05-04 12:39:53 (23020) SceneGraph::initialiseModule called
2021-05-04 12:39:53 (23020) Map::initialiseModule called.
2021-05-04 12:39:53 (23020) AutomaticMapSaver::initialiseModule called.
2021-05-04 12:39:53 (23020) CameraManager::initialiseModule called.
2021-05-04 12:39:53 (23020) EventManager::initialiseModule called.
2021-05-04 12:39:53 (23020) EventManager successfully initialised.
2021-05-04 12:39:53 (23020) GroupDialogModule::initialiseModule called
2021-05-04 12:39:53 (23020) MainFrameLayoutManager::initialiseModule called.
2021-05-04 12:39:53 (23020) MaterialManager::initialiseModule called
2021-05-04 12:39:53 (23020) SharedGLContextHolder::initialiseModule called.
2021-05-04 12:39:53 (23020) ShaderCache::initialiseModule called.
2021-05-04 12:39:53 (23020) StatusBarManager::initialiseModule called.
2021-05-04 12:39:53 (23020) OrthoviewManager::initialiseModule called.
2021-05-04 12:39:53 (18876) 1210 shader definitions found.
2021-05-04 12:39:53 (23020) MainFrame::initialiseModule called.
2021-05-04 12:39:53 (23020) CameraWndManager::initialiseModule called.
2021-05-04 12:39:53 (23020) Clipboard::initialiseModule called.
2021-05-04 12:39:53 (23020) Clipper::initialiseModule called
2021-05-04 12:39:53 (23020) EclassColourManager::initialiseModule called.
2021-05-04 12:39:53 (23020) ColourSchemeManager::initialiseModule called.
2021-05-04 12:39:53 (23020) ColourSchemeManager: Loading colour schemes...
2021-05-04 12:39:53 (23020) MenuManager::initialiseModule called.
2021-05-04 12:39:53 (23020) ConversationEditor::initialiseModule called.
2021-05-04 12:39:53 (23020) GridManager::initialiseModule called.
2021-05-04 12:39:53 (23020) OpenGL::initialiseModule called.
2021-05-04 12:39:53 (23020) SelectionSystem::initialiseModule called.
2021-05-04 12:39:53 (23020) UndoSystem::initialiseModule called
2021-05-04 12:39:53 (23020) DarkMod Editing::initialiseModule called.
2021-05-04 12:39:53 (23020) DialogManager::initialiseModule called.
2021-05-04 12:39:53 (23020) DifficultyEditor::initialiseModule called.
2021-05-04 12:39:53 (23020) EntityClassDoom3::initialiseModule called.
2021-05-04 12:39:53 (18876) searching vfs directory 'def' for *.def
2021-05-04 12:39:53 (23020) ZAasFileManager::initialiseModule called.
2021-05-04 12:39:53 (23020) Doom3AasFileLoader: initialiseModule called.
2021-05-04 12:39:53 (23020) BrushModuleImpl::initialiseModule called.
2021-05-04 12:39:53 (23020) Doom3PrefabLoader: initialiseModule called.
2021-05-04 12:39:53 (23020) EditingStopwatch::initialiseModule called.
2021-05-04 12:39:53 (23020) EntityModule::initialiseModule called.
2021-05-04 12:39:53 (23020) FavouritesUserInterface::initialiseModule called.
2021-05-04 12:39:53 (23020) [filters] Loaded 16 filters from registry.
2021-05-04 12:39:53 (23020) FilterUserInterface::initialiseModule called.
2021-05-04 12:39:53 (23020) FontManager::initialiseModule called
2021-05-04 12:39:53 (18876) FontLoader: fonts/english/petme/fontImage_12.dat loaded successfully.
2021-05-04 12:39:53 (18876) FontLoader: fonts/english/petme/fontImage_24.dat loaded successfully.
2021-05-04 12:39:53 (18876) FontLoader: fonts/english/petme/fontImage_48.dat loaded successfully.
2021-05-04 12:39:53 (23020) GUI Editing::initialiseModule called.
2021-05-04 12:39:53 (18876) FontLoader: fonts/english/roboto/fontImage_12.dat loaded successfully.
2021-05-04 12:39:53 (18876) FontLoader: fonts/english/roboto/fontImage_24.dat loaded successfully.
2021-05-04 12:39:53 (18876) FontLoader: fonts/english/roboto/fontImage_48.dat loaded successfully.
2021-05-04 12:39:53 (18876) FontLoader: fonts/english/teko/fontImage_12.dat loaded successfully.
2021-05-04 12:39:53 (18876) FontLoader: fonts/english/teko/fontImage_24.dat loaded successfully.
2021-05-04 12:39:53 (18876) FontLoader: fonts/english/teko/fontImage_48.dat loaded successfully.
2021-05-04 12:39:53 (18876) FontLoader: fonts/english/zector/fontImage_12.dat loaded successfully.
2021-05-04 12:39:53 (18876) FontLoader: fonts/english/zector/fontImage_24.dat loaded successfully.
2021-05-04 12:39:53 (18876) FontLoader: fonts/english/zector/fontImage_48.dat loaded successfully.
2021-05-04 12:39:53 (18876) 4 fonts registered.
2021-05-04 12:39:53 (23020) GridUserInterface::initialiseModule called.
2021-05-04 12:39:53 (23020) GuiManager::initialiseModule called.
2021-05-04 12:39:53 (18876) [GuiManager]: Found 0 guis.
2021-05-04 12:39:53 (23020) LayerModule::initialiseModule called.
2021-05-04 12:39:53 (23020) LocalisationModule::initialiseModule called
2021-05-04 12:39:53 (23020) MD5AnimationCache::initialiseModule called.
2021-05-04 12:39:53 (23020) ModelFormatManager::initialiseModule called.
2021-05-04 12:39:53 (23020) MRUManager::initialiseModule called.
2021-05-04 12:39:53 (23020) MaterialEditor::initialiseModule called.
2021-05-04 12:39:53 (23020) ShaderClipboard::initialiseModule called.
2021-05-04 12:39:53 (23020) MediaBrowser::initialiseModule called.
2021-05-04 12:39:53 (23020) ModelCache::initialiseModule called.
2021-05-04 12:39:53 (23020) Doom3SkinCache::initialiseModule called
2021-05-04 12:39:53 (8576) [skins] Loading skins.
2021-05-04 12:39:53 (23020) NamespaceFactory::initialiseModule called.
2021-05-04 12:39:53 (8576) [skins] Found 185 skins.
2021-05-04 12:39:53 (23020) ObjectivesEditorModule::initialiseModule called.
2021-05-04 12:39:53 (23020) ParticlesManager::initialiseModule called
2021-05-04 12:39:53 (23020) PatchModule::initialiseModule called.
2021-05-04 12:39:53 (23020) PointFile::initialiseModule called
2021-05-04 12:39:53 (23020) Quake3MapLoader: initialiseModule called.
2021-05-04 12:39:53 (23020) Quake4MapLoader: initialiseModule called.
2021-05-04 12:39:53 (8576) Found 163 particle definitions.
2021-05-04 12:39:53 (23020) RegionManager::initialiseModule called.
2021-05-04 12:39:53 (23020) RenderSystemFactory::initialiseModule called.
2021-05-04 12:39:53 (23020) SceneGraphFactory::initialiseModule called.
2021-05-04 12:39:53 (23020) ScriptingSystem::initialiseModule called.
2021-05-04 12:39:53 (23020) Registering darkradiant module to Python using pybind11 version 2.6.1
2021-05-04 12:39:53 (23020) SelectionGroupModule::initialiseModule called.
2021-05-04 12:39:53 (23020) SelectionSetModule::initialiseModule called.
2021-05-04 12:39:53 (23020) SoundManager: initialising sound playback
2021-05-04 12:39:53 (23020) StartupMapLoader::initialiseModule called.
2021-05-04 12:39:53 (23020) StimResponseEditor::initialiseModule called.
2021-05-04 12:39:53 (8576) 307 sound shaders found.
2021-05-04 12:39:53 (23020) TextureBrowserManager::initialiseModule called.
2021-05-04 12:39:53 (23020) Found toolbar: view
2021-05-04 12:39:53 (23020) Found toolbar: edit
2021-05-04 12:39:53 (23020) Found toolbar: texture
2021-05-04 12:39:53 (23020) Found toolbar: textool
2021-05-04 12:39:53 (23020) UserInterfaceModule::initialiseModule called.
2021-05-04 12:39:53 (23020) wxWidgets Version: 3.1.3
2021-05-04 12:39:53 (23020) Default screen has 1 monitors.
2021-05-04 12:39:53 (23020) Monitor 0 geometry: 1920x1080 at 0, 0
2021-05-04 12:39:53 (23020) class map::format::PortableMapFormat: initialiseModule called.
2021-05-04 12:39:53 (23020) wxGLWidgetManager::initialiseModule called.
2021-05-04 12:39:53 (23020) ToolbarManager: Instantiating toolbar: view
2021-05-04 12:39:53 (23020) ToolbarManager: Instantiating toolbar: edit
2021-05-04 12:39:53 (23020) MainFrame: Activating layout Regular
2021-05-04 12:39:53 (23020) ToolbarManager: Instantiating toolbar: texture
2021-05-04 12:39:53 (23020) EventManager: Shortcuts found in Registry: 152
2021-05-04 12:39:53 (23020) DarkRadiant init.py called, this is Python 3.6.1 (v3.6.1:69c0db5, Mar 21 2017, 18:41:36) [MSC v.1900 64 bit (AMD64)]
2021-05-04 12:39:53 (23020) Registered script file commands/ase_export.py as aseExport
2021-05-04 12:39:53 (23020) Registered script file commands/ase_export_blend.py as aseExportBlend
2021-05-04 12:39:53 (23020) Registered script file commands/change_all_textures.py as ChangeAllTextures
2021-05-04 12:39:53 (23020) Registered script file commands/check_for_invalid_visportals.py as check_invalid_visportals
2021-05-04 12:39:53 (23020) Registered script file commands/example.py as Example
2021-05-04 12:39:53 (23020) Registered script file commands/export_obj.py as objExport
2021-05-04 12:39:53 (23020) Registered script file commands/find_duplicate_entities.py as findDuplicateEntities
2021-05-04 12:39:53 (23020) Registered script file commands/patchsplitter.py as SplitPatch
2021-05-04 12:39:53 (23020) Registered script file commands/patch_noise.py as PatchNoise
2021-05-04 12:39:53 (23020) Registered script file commands/randomise_texture_x_individual.py as RandomiseTextureXIndividual
2021-05-04 12:39:53 (23020) Registered script file commands/select_all_entities.py as SelectAllEntities
2021-05-04 12:39:53 (23020) Registered script file commands/select_all_entities_of_type.py as SelectAllEntitiesOfType
2021-05-04 12:39:53 (23020) Registered script file commands/select_all_funcstatic.py as SelectAllFuncstatics
2021-05-04 12:39:53 (23020) Registered script file commands/select_all_models_of_type.py as SelectAllModelsOfType
2021-05-04 12:39:53 (23020) Registered script file commands/shift_textures_randomly.py as ShiftTexturesRandomly
2021-05-04 12:39:53 (23020) Registered script file commands/shift_textures_upwards_randomly.py as ShiftTexturesUpwardsRandomly
2021-05-04 12:39:53 (23020) Registered script file commands/test_targets.py as test_targets
2021-05-04 12:39:53 (23020) ScriptModule: Found 17 commands.
2021-05-04 12:39:53 (23020) GL_VENDOR: NVIDIA Corporation
2021-05-04 12:39:53 (23020) GL_RENDERER: NVIDIA GeForce GTX 1660 SUPER/PCIe/SSE2
2021-05-04 12:39:53 (23020) GL_VERSION: 4.6.0 NVIDIA 466.11
2021-05-04 12:39:53 (23020) GL_EXTENSIONS: GL_AMD_multi_draw_indirect GL_AMD_seamless_cubemap_per_texture GL_AMD_vertex_shader_viewport_index GL_AMD_vertex_shader_layer GL_ARB_arrays_of_arrays GL_ARB_base_instance GL_ARB_bindless_texture GL_ARB_blend_func_extended GL_ARB_buffer_storage GL_ARB_clear_buffer_object GL_ARB_clear_texture GL_ARB_clip_control GL_ARB_color_buffer_float GL_ARB_compatibility GL_ARB_compressed_texture_pixel_storage GL_ARB_conservative_depth GL_ARB_compute_shader GL_ARB_compute_variable_group_size GL_ARB_conditional_render_inverted GL_ARB_copy_buffer GL_ARB_copy_image GL_ARB_cull_distance GL_ARB_debug_output GL_ARB_depth_buffer_float GL_ARB_depth_clamp GL_ARB_depth_texture GL_ARB_derivative_control GL_ARB_direct_state_access GL_ARB_draw_buffers GL_ARB_draw_buffers_blend GL_ARB_draw_indirect GL_ARB_draw_elements_base_vertex GL_ARB_draw_instanced GL_ARB_enhanced_layouts GL_ARB_ES2_compatibility GL_ARB_ES3_compatibility GL_ARB_ES3_1_compatibility GL_ARB_ES3_2_compatibility GL_ARB_explicit_attrib_location GL_ARB_explicit_uniform_location GL_ARB_fragment_coord_conventions GL_ARB_fragment_layer_viewport GL_ARB_fragment_program GL_ARB_fragment_program_shadow GL_ARB_fragment_shader GL_ARB_fragment_shader_interlock GL_ARB_framebuffer_no_attachments GL_ARB_framebuffer_object GL_ARB_framebuffer_sRGB GL_ARB_geometry_shader4 GL_ARB_get_program_binary GL_ARB_get_texture_sub_image GL_ARB_gl_spirv GL_ARB_gpu_shader5 GL_ARB_gpu_shader_fp64 GL_ARB_gpu_shader_int64 GL_ARB_half_float_pixel GL_ARB_half_float_vertex GL_ARB_imaging GL_ARB_indirect_parameters GL_ARB_instanced_arrays GL_ARB_internalformat_query GL_ARB_internalformat_query2 GL_ARB_invalidate_subdata GL_ARB_map_buffer_alignment GL_ARB_map_buffer_range GL_ARB_multi_bind GL_ARB_multi_draw_indirect GL_ARB_multisample GL_ARB_multitexture GL_ARB_occlusion_query GL_ARB_occlusion_query2 GL_ARB_parallel_shader_compile GL_ARB_pipeline_statistics_query GL_ARB_pixel_buffer_object GL_ARB_point_parameters GL_ARB_point_sprite GL_ARB_polygon_offset_clamp GL_ARB_post_depth_coverage GL_ARB_program_interface_query GL_ARB_provoking_vertex GL_ARB_query_buffer_object GL_ARB_robust_buffer_access_behavior GL_ARB_robustness GL_ARB_sample_locations GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_ARB_seamless_cubemap_per_texture GL_ARB_separate_shader_objects GL_ARB_shader_atomic_counter_ops GL_ARB_shader_atomic_counters GL_ARB_shader_ballot GL_ARB_shader_bit_encoding GL_ARB_shader_clock GL_ARB_shader_draw_parameters GL_ARB_shader_group_vote GL_ARB_shader_image_load_store GL_ARB_shader_image_size GL_ARB_shader_objects GL_ARB_shader_precision GL_ARB_shader_storage_buffer_object GL_ARB_shader_subroutine GL_ARB_shader_texture_image_samples GL_ARB_shader_texture_lod GL_ARB_shading_language_100 GL_ARB_shader_viewport_layer_array GL_ARB_shading_language_420pack GL_ARB_shading_language_include GL_ARB_shading_language_packing GL_ARB_shadow GL_ARB_sparse_buffer GL_ARB_sparse_texture GL_ARB_sparse_texture2 GL_ARB_sparse_texture_clamp GL_ARB_spirv_extensions GL_ARB_stencil_texturing GL_ARB_sync GL_ARB_tessellation_shader GL_ARB_texture_barrier GL_ARB_texture_border_clamp GL_ARB_texture_buffer_object GL_ARB_texture_buffer_object_rgb32 GL_ARB_texture_buffer_range GL_ARB_texture_compression GL_ARB_texture_compression_bptc GL_ARB_texture_compression_rgtc GL_ARB_texture_cube_map GL_ARB_texture_cube_map_array GL_ARB_texture_env_add GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_filter_anisotropic GL_ARB_texture_filter_minmax GL_ARB_texture_float GL_ARB_texture_gather GL_ARB_texture_mirror_clamp_to_edge GL_ARB_texture_mirrored_repeat GL_ARB_texture_multisample GL_ARB_texture_non_power_of_two GL_ARB_texture_query_levels GL_ARB_texture_query_lod GL_ARB_texture_rectangle GL_ARB_texture_rg GL_ARB_texture_rgb10_a2ui GL_ARB_texture_stencil8 GL_ARB_texture_storage GL_ARB_texture_storage_multisample GL_ARB_texture_swizzle GL_ARB_texture_view GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_ARB_transform_feedback_instanced GL_ARB_transform_feedback_overflow_query GL_ARB_transpose_matrix GL_ARB_uniform_buffer_object GL_ARB_vertex_array_bgra GL_ARB_vertex_array_object GL_ARB_vertex_attrib_64bit GL_ARB_vertex_attrib_binding GL_ARB_vertex_buffer_object GL_ARB_vertex_program GL_ARB_vertex_shader GL_ARB_vertex_type_10f_11f_11f_rev GL_ARB_vertex_type_2_10_10_10_rev GL_ARB_viewport_array GL_ARB_window_pos GL_ATI_draw_buffers GL_ATI_texture_float GL_ATI_texture_mirror_once GL_S3_s3tc GL_EXT_texture_env_add GL_EXT_abgr GL_EXT_bgra GL_EXT_bindable_uniform GL_EXT_blend_color GL_EXT_blend_equation_separate GL_EXT_blend_func_separate GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_compiled_vertex_array GL_EXT_Cg_shader GL_EXT_depth_bounds_test GL_EXT_direct_state_access GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_draw_range_elements GL_EXT_fog_coord GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXTX_framebuffer_mixed_formats GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_framebuffer_object GL_EXT_framebuffer_sRGB GL_EXT_geometry_shader4 GL_EXT_gpu_program_parameters GL_EXT_gpu_shader4 GL_EXT_multi_draw_arrays GL_EXT_multiview_texture_multisample GL_EXT_multiview_timer_query GL_EXT_packed_depth_stencil GL_EXT_packed_float GL_EXT_packed_pixels GL_EXT_pixel_buffer_object GL_EXT_point_parameters GL_EXT_polygon_offset_clamp GL_EXT_post_depth_coverage GL_EXT_provoking_vertex GL_EXT_raster_multisample GL_EXT_rescale_normal GL_EXT_secondary_color GL_EXT_separate_shader_objects GL_EXT_separate_specular_color GL_EXT_shader_image_load_formatted GL_EXT_shader_image_load_store GL_EXT_shader_integer_mix GL_EXT_shadow_funcs GL_EXT_sparse_texture2 GL_EXT_stencil_two_side GL_EXT_stencil_wrap GL_EXT_texture3D GL_EXT_texture_array GL_EXT_texture_buffer_object GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_latc GL_EXT_texture_compression_rgtc GL_EXT_texture_compression_s3tc GL_EXT_texture_cube_map GL_EXT_texture_edge_clamp GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 GL_EXT_texture_filter_anisotropic GL_EXT_texture_filter_minmax GL_EXT_texture_integer GL_EXT_texture_lod GL_EXT_texture_lod_bias GL_EXT_texture_mirror_clamp GL_EXT_texture_object GL_EXT_texture_shadow_lod GL_EXT_texture_shared_exponent GL_EXT_texture_sRGB GL_EXT_texture_sRGB_R8 GL_EXT_texture_sRGB_decode GL_EXT_texture_storage GL_EXT_texture_swizzle GL_EXT_timer_query GL_EXT_transform_feedback2 GL_EXT_vertex_array GL_EXT_vertex_array_bgra GL_EXT_vertex_attrib_64bit GL_EXT_window_rectangles GL_EXT_import_sync_object GL_IBM_rasterpos_clip GL_IBM_texture_mirrored_repeat GL_KHR_context_flush_control GL_KHR_debug GL_EXT_memory_object GL_EXT_memory_object_win32 GL_NV_memory_object_sparse GL_EXT_win32_keyed_mutex GL_KHR_parallel_shader_compile GL_KHR_no_error GL_KHR_robust_buffer_access_behavior GL_KHR_robustness GL_EXT_semaphore GL_EXT_semaphore_win32 GL_NV_timeline_semaphore GL_KHR_shader_subgroup GL_KTX_buffer_region GL_NV_alpha_to_coverage_dither_control GL_NV_bindless_multi_draw_indirect GL_NV_bindless_multi_draw_indirect_count GL_NV_bindless_texture GL_NV_blend_equation_advanced GL_NV_blend_equation_advanced_coherent GL_NVX_blend_equation_advanced_multi_draw_buffers GL_NV_blend_minmax_factor GL_NV_blend_square GL_NV_clip_space_w_scaling GL_NV_command_list GL_NV_compute_program5 GL_NV_compute_shader_derivatives GL_NV_conditional_render GL_NV_conservative_raster GL_NV_conservative_raster_dilate GL_NV_conservative_raster_pre_snap GL_NV_conservative_raster_pre_snap_triangles GL_NV_conservative_raster_underestimation GL_NV_copy_depth_to_color GL_NV_copy_image GL_NV_depth_buffer_float GL_NV_depth_clamp GL_NV_draw_texture GL_NV_draw_vulkan_image GL_NV_ES1_1_compatibility GL_NV_ES3_1_compatibility GL_NV_explicit_multisample GL_NV_feature_query GL_NV_fence GL_NV_fill_rectangle GL_NV_float_buffer GL_NV_fog_distance GL_NV_fragment_coverage_to_color GL_NV_fragment_program GL_NV_fragment_program_option GL_NV_fragment_program2 GL_NV_fragment_shader_barycentric GL_NV_fragment_shader_interlock GL_NV_framebuffer_mixed_samples GL_NV_framebuffer_multisample_coverage GL_NV_geometry_shader4 GL_NV_geometry_shader_passthrough GL_NV_gpu_program4 GL_NV_internalformat_sample_query GL_NV_gpu_program4_1 GL_NV_gpu_program5 GL_NV_gpu_program5_mem_extended GL_NV_gpu_program_fp64 GL_NV_gpu_shader5 GL_NV_half_float GL_NV_light_max_exponent GL_NV_memory_attachment GL_NV_mesh_shader GL_NV_multisample_coverage GL_NV_multisample_filter_hint GL_NV_occlusion_query GL_NV_packed_depth_stencil GL_NV_parameter_buffer_object GL_NV_parameter_buffer_object2 GL_NV_path_rendering GL_NV_path_rendering_shared_edge GL_NV_pixel_data_range GL_NV_point_sprite GL_NV_primitive_restart GL_NV_query_resource GL_NV_query_resource_tag GL_NV_register_combiners GL_NV_register_combiners2 GL_NV_representative_fragment_test GL_NV_sample_locations GL_NV_sample_mask_override_coverage GL_NV_scissor_exclusive GL_NV_shader_atomic_counters GL_NV_shader_atomic_float GL_NV_shader_atomic_float64 GL_NV_shader_atomic_fp16_vector GL_NV_shader_atomic_int64 GL_NV_shader_buffer_load GL_NV_shader_storage_buffer_object GL_NV_shader_subgroup_partitioned GL_NV_shader_texture_footprint GL_NV_shading_rate_image GL_NV_stereo_view_rendering GL_NV_texgen_reflection GL_NV_texture_barrier GL_NV_texture_compression_vtc GL_NV_texture_env_combine4 GL_NV_texture_multisample GL_NV_texture_rectangle GL_NV_texture_rectangle_compressed GL_NV_texture_shader GL_NV_texture_shader2 GL_NV_texture_shader3 GL_NV_transform_feedback GL_NV_transform_feedback2 GL_NV_uniform_buffer_unified_memory GL_NV_vertex_array_range GL_NV_vertex_array_range2 GL_NV_vertex_attrib_integer_64bit GL_NV_vertex_buffer_unified_memory GL_NV_vertex_program GL_NV_vertex_program1_1 GL_NV_vertex_program2 GL_NV_vertex_program2_option GL_NV_vertex_program3 GL_NV_viewport_array2 GL_NV_viewport_swizzle GL_NVX_conditional_render GL_NVX_linked_gpu_multicast GL_NV_gpu_multicast GL_NVX_gpu_multicast2 GL_NVX_progress_fence GL_NVX_gpu_memory_info GL_NVX_multigpu_info GL_NVX_nvenc_interop GL_NV_shader_thread_group GL_NV_shader_thread_shuffle GL_KHR_blend_equation_advanced GL_KHR_blend_equation_advanced_coherent GL_OVR_multiview GL_OVR_multiview2 GL_SGIS_generate_mipmap GL_SGIS_texture_lod GL_SGIX_depth_texture GL_SGIX_shadow GL_SUN_slice_accum GL_WIN_swap_hint WGL_EXT_swap_control 
2021-05-04 12:39:53 (23020) [OpenGLRenderSystem] GLSL shading IS available.
2021-05-04 12:39:53 (23020) Loading map from D:/games/monstergame/base/maps/test0.map
2021-05-04 12:39:53 (23020) Open file d:/games/monstergame/base/maps/test0.map from filesystem...success.
2021-05-04 12:39:53 (23020) Using Doom 3 format to load the data.
2021-05-04 12:39:54 (23020) Open file d:/games/monstergame/base/maps/test0.darkradiant from filesystem...success.
2021-05-04 12:39:54 (23020) Parsing info file...
2021-05-04 12:39:54 (23020) [InfoFile]: Parsed map editing time.
2021-05-04 12:39:54 (23020) [InfoFile]: Parsed layer #0 with name Default
2021-05-04 12:39:54 (23020) Sanity-checking the layer assignments...done, had to fix 0 assignments.
2021-05-04 12:39:54 (23020) [InfoFile]: Parsed 4 map properties.
2021-05-04 12:39:54 (23020) map load timer:  0.23 second(s) elapsed
2021-05-04 12:39:54 (23020) Read 22126 seconds of total map editing time.
2021-05-04 12:39:54 (23020) --- LoadMapFile ---
2021-05-04 12:39:54 (23020) D:/games/monstergame/base/maps/test0.map
2021-05-04 12:39:54 (23020) 6 brushes
2021-05-04 12:39:54 (23020) 0 patches
2021-05-04 12:39:54 (23020) 5 entities
2021-05-04 12:39:55 (3076) Auto-saving registry to user settings path.
2021-05-04 12:40:06 (23020) ModelSelector shutting down.
2021-05-04 12:40:06 (23020) CommandSystem: shutting down.
2021-05-04 12:40:06 (23020) BrushModuleImpl::shutdownModule called.
2021-05-04 12:40:06 (23020) EntityClassDoom3::shutdownModule called.
2021-05-04 12:40:06 (23020) EntityModule::shutdownModule called.
2021-05-04 12:40:06 (23020) EventManager::shutdownModule called
2021-05-04 12:40:06 (23020) MainFrame::shutdownModule called.
2021-05-04 12:40:06 (23020) MainFrameLayoutManager::shutdownModule called.
2021-05-04 12:40:06 (23020) MapInfoFileManager::shudownModule called.
2021-05-04 12:40:06 (23020) Doom3ShaderSystem::shutdownModule called
2021-05-04 12:40:06 (23020) ObjectivesEditorModule shutting down.
2021-05-04 12:40:06 (23020) ScriptingSystem::shutdownModule called.
2021-05-04 12:40:06 (23020) Filesystem shut down
2021-05-04 12:40:06 (23020) XMLRegistry Shutdown: 510 queries processed.
2021-05-04 12:40:06 (23020) 2021-05-04 12:40:06 Closing log file.
darkradiant.log (34,105 bytes)   
BrendonChung

BrendonChung

04.05.2021 19:48

reporter   ~0013951

I apologize, that seems to have been the incorrect .log file. Here is the .log file with the crash:
darkradiant-2.log (34,697 bytes)   
2021-05-04 12:47:28 (24300) Started logging to C:/Users/Brendon/AppData/Roaming/DarkRadiant/darkradiant.log
2021-05-04 12:47:28 (24300) This is DarkRadiant 2.12.0 x64 
2021-05-04 12:47:28 (24300) Today is 2021-05-04 12:47:28
2021-05-04 12:47:28 (24300) ModuleRegistry instantiated.
2021-05-04 12:47:28 (24300) Module registered: RadiantCore
2021-05-04 12:47:28 (24300) Current language setting: en
2021-05-04 12:47:28 (24300) Found 2 language folders.
2021-05-04 12:47:28 (24300) Module registered: CameraWndManager
2021-05-04 12:47:28 (24300) Module registered: Clipboard
2021-05-04 12:47:28 (24300) Module registered: EventManager
2021-05-04 12:47:28 (24300) Module registered: MouseToolManager
2021-05-04 12:47:28 (24300) Module registered: AutomaticMapSaver
2021-05-04 12:47:28 (24300) Module registered: StartupMapLoader
2021-05-04 12:47:28 (24300) Module registered: LocalisationModule
2021-05-04 12:47:28 (24300) Module registered: DialogManager
2021-05-04 12:47:28 (24300) Module registered: UserInterfaceModule
2021-05-04 12:47:28 (24300) Module registered: FavouritesUserInterface
2021-05-04 12:47:28 (24300) Module registered: FilterUserInterface
2021-05-04 12:47:28 (24300) Module registered: wxGLWidgetManager
2021-05-04 12:47:28 (24300) Module registered: GridUserInterface
2021-05-04 12:47:28 (24300) Module registered: GroupDialogModule
2021-05-04 12:47:28 (24300) Module registered: MainFrame
2021-05-04 12:47:28 (24300) Module registered: MainFrameLayoutManager
2021-05-04 12:47:28 (24300) Module registered: MaterialEditor
2021-05-04 12:47:28 (24300) Module registered: MediaBrowser
2021-05-04 12:47:28 (24300) Module registered: MenuManager
2021-05-04 12:47:28 (24300) Module registered: EntityInspector
2021-05-04 12:47:28 (24300) Module registered: OrthoContextMenu
2021-05-04 12:47:28 (24300) Module registered: ScriptUserInterface
2021-05-04 12:47:28 (24300) Module registered: StatusBarManager
2021-05-04 12:47:28 (24300) Module registered: TextureBrowserManager
2021-05-04 12:47:28 (24300) Module registered: ToolBarManager
2021-05-04 12:47:28 (24300) Module registered: OrthoviewManager
2021-05-04 12:47:28 (24300) Module registered: Doom3BrushCreator
2021-05-04 12:47:28 (24300) Module registered: CameraManager
2021-05-04 12:47:28 (24300) Module registered: Clipper
2021-05-04 12:47:28 (24300) Module registered: FavouritesManager
2021-05-04 12:47:28 (24300) Module registered: EclassColourManager
2021-05-04 12:47:28 (24300) Module registered: EntityClassManager
2021-05-04 12:47:28 (24300) Module registered: EntityModule
2021-05-04 12:47:28 (24300) Module registered: FileTypes
2021-05-04 12:47:28 (24300) Module registered: FilterSystem
2021-05-04 12:47:28 (24300) Module registered: FontManager
2021-05-04 12:47:28 (24300) Module registered: Grid
2021-05-04 12:47:28 (24300) Module registered: ImageLoader
2021-05-04 12:47:28 (24300) Module registered: LayerModule
2021-05-04 12:47:28 (24300) Module registered: ZAasFileManager
2021-05-04 12:47:28 (24300) Module registered: Doom3AasFileLoader
2021-05-04 12:47:28 (24300) Module registered: Counters
2021-05-04 12:47:28 (24300) Module registered: EditingStopwatch
2021-05-04 12:47:28 (24300) Module registered: Map
2021-05-04 12:47:28 (24300) Module registered: MapResourceManager
2021-05-04 12:47:28 (24300) Module registered: PointFile
2021-05-04 12:47:28 (24300) Module registered: RegionManager
2021-05-04 12:47:28 (24300) Module registered: Doom3MapLoader
2021-05-04 12:47:28 (24300) Module registered: Doom3PrefabLoader
2021-05-04 12:47:28 (24300) Module registered: MapFormatManager
2021-05-04 12:47:28 (24300) Module registered: Quake3MapLoader
2021-05-04 12:47:28 (24300) Module registered: Quake4MapLoader
2021-05-04 12:47:28 (24300) Module registered: class map::format::PortableMapFormat
2021-05-04 12:47:28 (24300) Module registered: MapInfoFileManager
2021-05-04 12:47:28 (24300) Module registered: MRUManager
2021-05-04 12:47:28 (24300) Module registered: NamespaceFactory
2021-05-04 12:47:28 (24300) Module registered: MD5Module
2021-05-04 12:47:28 (24300) Module registered: MD5AnimationCache
2021-05-04 12:47:28 (24300) Module registered: ModelCache
2021-05-04 12:47:28 (24300) Module registered: ModelFormatManager
2021-05-04 12:47:28 (24300) Module registered: PicoModelModule
2021-05-04 12:47:28 (24300) Module registered: ParticlesManager
2021-05-04 12:47:28 (24300) Module registered: PatchModule
2021-05-04 12:47:28 (24300) Module registered: CommandSystem
2021-05-04 12:47:28 (24300) Module registered: OpenGL
2021-05-04 12:47:28 (24300) Module registered: ShaderCache
2021-05-04 12:47:28 (24300) Module registered: RenderSystemFactory
2021-05-04 12:47:28 (24300) Module registered: SharedGLContextHolder
2021-05-04 12:47:28 (24300) Module registered: SceneGraph
2021-05-04 12:47:28 (24300) Module registered: SceneGraphFactory
2021-05-04 12:47:28 (24300) Module registered: SelectionGroupModule
2021-05-04 12:47:28 (24300) Module registered: SelectionSystem
2021-05-04 12:47:28 (24300) Module registered: SelectionSetModule
2021-05-04 12:47:28 (24300) Module registered: ShaderClipboard
2021-05-04 12:47:28 (24300) Module registered: ColourSchemeManager
2021-05-04 12:47:28 (24300) Module registered: GameManager
2021-05-04 12:47:28 (24300) Module registered: PreferenceSystem
2021-05-04 12:47:28 (24300) Module registered: MaterialManager
2021-05-04 12:47:28 (24300) Module registered: ModelSkinCache
2021-05-04 12:47:28 (24300) Module registered: UndoSystem
2021-05-04 12:47:28 (24300) Module registered: VirtualFileSystem
2021-05-04 12:47:28 (24300) Module registered: XMLRegistry
2021-05-04 12:47:28 (24300) ModuleRegistry Compatibility Level is 20201026
2021-05-04 12:47:28 (24300) ModuleLoader: loading modules from D:/games/monstergame/tools/darkradiant/modules/
2021-05-04 12:47:28 (24300) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/modules/DarkRadiantCore.dll'
2021-05-04 12:47:28 (24300) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/modules/script.dll'
2021-05-04 12:47:28 (24300) Module registered: ScriptingSystem
2021-05-04 12:47:28 (24300) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/modules/sound.dll'
2021-05-04 12:47:28 (24300) Module registered: SoundManager
2021-05-04 12:47:28 (24300) ModuleLoader: loading modules from D:/games/monstergame/tools/darkradiant/plugins/
2021-05-04 12:47:28 (24300) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.conversation.dll'
2021-05-04 12:47:28 (24300) Module registered: ConversationEditor
2021-05-04 12:47:28 (24300) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.difficulty.dll'
2021-05-04 12:47:28 (24300) Module registered: DifficultyEditor
2021-05-04 12:47:28 (24300) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.editing.dll'
2021-05-04 12:47:28 (24300) Module registered: DarkMod Editing
2021-05-04 12:47:28 (24300) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.gameconnection.dll'
2021-05-04 12:47:28 (24300) Module registered: GameConnection
2021-05-04 12:47:28 (24300) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.gui.dll'
2021-05-04 12:47:28 (24300) Module registered: GUI Editing
2021-05-04 12:47:28 (24300) Module registered: GuiManager
2021-05-04 12:47:28 (24300) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.objectives.dll'
2021-05-04 12:47:28 (24300) Module registered: ObjectivesEditor
2021-05-04 12:47:28 (24300) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.stimresponse.dll'
2021-05-04 12:47:28 (24300) Module registered: StimResponseEditor
2021-05-04 12:47:28 (24300) FileTypes::initialiseModule called.
2021-05-04 12:47:28 (24300) XMLRegistry::initialiseModule called
2021-05-04 12:47:28 (24300) XMLRegistry: looking for XML files in D:/games/monstergame/tools/darkradiant/
2021-05-04 12:47:28 (24300) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/user.xml
2021-05-04 12:47:28 (24300) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/colours.xml
2021-05-04 12:47:28 (24300) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/input.xml
2021-05-04 12:47:28 (24300) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/menu.xml
2021-05-04 12:47:28 (24300) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/commandsystem.xml
2021-05-04 12:47:28 (24300) XMLRegistry: Importing XML file: C:/Users/Brendon/AppData/Roaming/DarkRadiant/user.xml
2021-05-04 12:47:28 (24300) XMLRegistry: Importing XML file: C:/Users/Brendon/AppData/Roaming/DarkRadiant/colours.xml
2021-05-04 12:47:28 (24300) XMLRegistry: Importing XML file: C:/Users/Brendon/AppData/Roaming/DarkRadiant/input.xml
2021-05-04 12:47:28 (24300) XMLRegistry: Importing XML file: C:/Users/Brendon/AppData/Roaming/DarkRadiant/filters.xml
2021-05-04 12:47:28 (24300) CommandSystem::initialiseModule called.
2021-05-04 12:47:28 (24300) PreferenceSystem::initialiseModule called
2021-05-04 12:47:28 (24300) VirtualFileSystem::initialiseModule called
2021-05-04 12:47:28 (24300) GameManager: Scanning for game description files: D:/games/monstergame/tools/darkradiant/games/
2021-05-04 12:47:28 (24300) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/darkmod.game
2021-05-04 12:47:28 (24300) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/doom3-demo.game
2021-05-04 12:47:28 (24300) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/doom3.game
2021-05-04 12:47:28 (24300) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/prey.game
2021-05-04 12:47:28 (24300) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/quake3.game
2021-05-04 12:47:28 (24300) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/quake4.game
2021-05-04 12:47:28 (24300) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/xreal.game
2021-05-04 12:47:28 (24300) GameManager: Found game definitions: 
2021-05-04 12:47:28 (24300)   Doom 3
2021-05-04 12:47:28 (24300)   Doom 3 Demo
2021-05-04 12:47:28 (24300)   Prey
2021-05-04 12:47:28 (24300)   Quake 3
2021-05-04 12:47:28 (24300)   Quake 4
2021-05-04 12:47:28 (24300)   The Dark Mod 2.0 (Standalone)
2021-05-04 12:47:28 (24300)   XreaL
2021-05-04 12:47:28 (24300) 
2021-05-04 12:47:28 (24300) GameManager: Selected game type: Doom 3
2021-05-04 12:47:28 (24300) GameManager: Map path set to d:/games/monstergame/base/maps/
2021-05-04 12:47:28 (24300) GameManager: Prefab path set to d:/games/monstergame/base/prefabs/
2021-05-04 12:47:28 (24300) Initialising filesystem using 1 paths 
2021-05-04 12:47:28 (24300) VFS Search Path priority is: 
2021-05-04 12:47:28 (24300) - d:/games/monstergame/base/
2021-05-04 12:47:28 (24300) Allowed PK4 Archive File Extensions: pk4
2021-05-04 12:47:28 (24300) [vfs] Searched directory: d:/games/monstergame/base/
2021-05-04 12:47:28 (24300) MapInfoFileManager::initialiseModule called.
2021-05-04 12:47:28 (24300) MapFormatManager::initialiseModule called.
2021-05-04 12:47:28 (24300) Doom3MapLoader: initialiseModule called.
2021-05-04 12:47:28 (24300) MapResourceManager::initialiseModule called.
2021-05-04 12:47:28 (24300) SceneGraph::initialiseModule called
2021-05-04 12:47:28 (24300) Map::initialiseModule called.
2021-05-04 12:47:28 (24300) AutomaticMapSaver::initialiseModule called.
2021-05-04 12:47:28 (24300) CameraManager::initialiseModule called.
2021-05-04 12:47:28 (24300) EventManager::initialiseModule called.
2021-05-04 12:47:28 (24300) EventManager successfully initialised.
2021-05-04 12:47:28 (24300) GroupDialogModule::initialiseModule called
2021-05-04 12:47:28 (24300) MainFrameLayoutManager::initialiseModule called.
2021-05-04 12:47:28 (24300) MaterialManager::initialiseModule called
2021-05-04 12:47:28 (24300) SharedGLContextHolder::initialiseModule called.
2021-05-04 12:47:28 (24300) ShaderCache::initialiseModule called.
2021-05-04 12:47:28 (24300) StatusBarManager::initialiseModule called.
2021-05-04 12:47:28 (24300) OrthoviewManager::initialiseModule called.
2021-05-04 12:47:28 (9856) 1210 shader definitions found.
2021-05-04 12:47:28 (24300) MainFrame::initialiseModule called.
2021-05-04 12:47:28 (24300) CameraWndManager::initialiseModule called.
2021-05-04 12:47:28 (24300) Clipboard::initialiseModule called.
2021-05-04 12:47:28 (24300) Clipper::initialiseModule called
2021-05-04 12:47:28 (24300) EclassColourManager::initialiseModule called.
2021-05-04 12:47:28 (24300) ColourSchemeManager::initialiseModule called.
2021-05-04 12:47:28 (24300) ColourSchemeManager: Loading colour schemes...
2021-05-04 12:47:28 (24300) MenuManager::initialiseModule called.
2021-05-04 12:47:28 (24300) ConversationEditor::initialiseModule called.
2021-05-04 12:47:28 (24300) GridManager::initialiseModule called.
2021-05-04 12:47:28 (24300) OpenGL::initialiseModule called.
2021-05-04 12:47:28 (24300) SelectionSystem::initialiseModule called.
2021-05-04 12:47:28 (24300) UndoSystem::initialiseModule called
2021-05-04 12:47:28 (24300) DarkMod Editing::initialiseModule called.
2021-05-04 12:47:28 (24300) DialogManager::initialiseModule called.
2021-05-04 12:47:28 (24300) DifficultyEditor::initialiseModule called.
2021-05-04 12:47:28 (24300) EntityClassDoom3::initialiseModule called.
2021-05-04 12:47:28 (9856) searching vfs directory 'def' for *.def
2021-05-04 12:47:28 (24300) ZAasFileManager::initialiseModule called.
2021-05-04 12:47:28 (24300) Doom3AasFileLoader: initialiseModule called.
2021-05-04 12:47:28 (24300) BrushModuleImpl::initialiseModule called.
2021-05-04 12:47:28 (24300) Doom3PrefabLoader: initialiseModule called.
2021-05-04 12:47:28 (24300) EditingStopwatch::initialiseModule called.
2021-05-04 12:47:28 (24300) EntityModule::initialiseModule called.
2021-05-04 12:47:28 (24300) FavouritesUserInterface::initialiseModule called.
2021-05-04 12:47:28 (24300) [filters] Loaded 16 filters from registry.
2021-05-04 12:47:28 (24300) FilterUserInterface::initialiseModule called.
2021-05-04 12:47:28 (24300) FontManager::initialiseModule called
2021-05-04 12:47:28 (9856) FontLoader: fonts/english/petme/fontImage_12.dat loaded successfully.
2021-05-04 12:47:28 (9856) FontLoader: fonts/english/petme/fontImage_24.dat loaded successfully.
2021-05-04 12:47:28 (9856) FontLoader: fonts/english/petme/fontImage_48.dat loaded successfully.
2021-05-04 12:47:28 (9856) FontLoader: fonts/english/roboto/fontImage_12.dat loaded successfully.
2021-05-04 12:47:28 (9856) FontLoader: fonts/english/roboto/fontImage_24.dat loaded successfully.
2021-05-04 12:47:28 (9856) FontLoader: fonts/english/roboto/fontImage_48.dat loaded successfully.
2021-05-04 12:47:28 (24300) GUI Editing::initialiseModule called.
2021-05-04 12:47:28 (9856) FontLoader: fonts/english/teko/fontImage_12.dat loaded successfully.
2021-05-04 12:47:28 (9856) FontLoader: fonts/english/teko/fontImage_24.dat loaded successfully.
2021-05-04 12:47:28 (9856) FontLoader: fonts/english/teko/fontImage_48.dat loaded successfully.
2021-05-04 12:47:28 (9856) FontLoader: fonts/english/zector/fontImage_12.dat loaded successfully.
2021-05-04 12:47:28 (9856) FontLoader: fonts/english/zector/fontImage_24.dat loaded successfully.
2021-05-04 12:47:28 (9856) FontLoader: fonts/english/zector/fontImage_48.dat loaded successfully.
2021-05-04 12:47:28 (9856) 4 fonts registered.
2021-05-04 12:47:28 (24300) GridUserInterface::initialiseModule called.
2021-05-04 12:47:28 (24300) GuiManager::initialiseModule called.
2021-05-04 12:47:28 (9856) [GuiManager]: Found 0 guis.
2021-05-04 12:47:28 (24300) LayerModule::initialiseModule called.
2021-05-04 12:47:28 (24300) LocalisationModule::initialiseModule called
2021-05-04 12:47:28 (24300) MD5AnimationCache::initialiseModule called.
2021-05-04 12:47:28 (24300) ModelFormatManager::initialiseModule called.
2021-05-04 12:47:28 (24300) MRUManager::initialiseModule called.
2021-05-04 12:47:28 (24300) MaterialEditor::initialiseModule called.
2021-05-04 12:47:28 (24300) ShaderClipboard::initialiseModule called.
2021-05-04 12:47:28 (24300) MediaBrowser::initialiseModule called.
2021-05-04 12:47:28 (24300) ModelCache::initialiseModule called.
2021-05-04 12:47:28 (24300) Doom3SkinCache::initialiseModule called
2021-05-04 12:47:28 (22880) [skins] Loading skins.
2021-05-04 12:47:28 (24300) NamespaceFactory::initialiseModule called.
2021-05-04 12:47:28 (22880) [skins] Found 185 skins.
2021-05-04 12:47:28 (24300) ObjectivesEditorModule::initialiseModule called.
2021-05-04 12:47:28 (24300) ParticlesManager::initialiseModule called
2021-05-04 12:47:28 (24300) PatchModule::initialiseModule called.
2021-05-04 12:47:28 (24300) PointFile::initialiseModule called
2021-05-04 12:47:28 (24300) Quake3MapLoader: initialiseModule called.
2021-05-04 12:47:28 (24300) Quake4MapLoader: initialiseModule called.
2021-05-04 12:47:28 (22880) Found 163 particle definitions.
2021-05-04 12:47:28 (24300) RegionManager::initialiseModule called.
2021-05-04 12:47:28 (24300) RenderSystemFactory::initialiseModule called.
2021-05-04 12:47:28 (24300) SceneGraphFactory::initialiseModule called.
2021-05-04 12:47:28 (24300) ScriptingSystem::initialiseModule called.
2021-05-04 12:47:28 (24300) Registering darkradiant module to Python using pybind11 version 2.6.1
2021-05-04 12:47:28 (24300) SelectionGroupModule::initialiseModule called.
2021-05-04 12:47:28 (24300) SelectionSetModule::initialiseModule called.
2021-05-04 12:47:28 (24300) SoundManager: initialising sound playback
2021-05-04 12:47:28 (24300) StartupMapLoader::initialiseModule called.
2021-05-04 12:47:28 (24300) StimResponseEditor::initialiseModule called.
2021-05-04 12:47:28 (24300) TextureBrowserManager::initialiseModule called.
2021-05-04 12:47:28 (22880) 307 sound shaders found.
2021-05-04 12:47:28 (24300) Found toolbar: view
2021-05-04 12:47:28 (24300) Found toolbar: edit
2021-05-04 12:47:28 (24300) Found toolbar: texture
2021-05-04 12:47:28 (24300) Found toolbar: textool
2021-05-04 12:47:28 (24300) UserInterfaceModule::initialiseModule called.
2021-05-04 12:47:28 (24300) wxWidgets Version: 3.1.3
2021-05-04 12:47:28 (24300) Default screen has 1 monitors.
2021-05-04 12:47:28 (24300) Monitor 0 geometry: 1920x1080 at 0, 0
2021-05-04 12:47:28 (24300) class map::format::PortableMapFormat: initialiseModule called.
2021-05-04 12:47:28 (24300) wxGLWidgetManager::initialiseModule called.
2021-05-04 12:47:28 (24300) ToolbarManager: Instantiating toolbar: view
2021-05-04 12:47:28 (24300) ToolbarManager: Instantiating toolbar: edit
2021-05-04 12:47:28 (24300) MainFrame: Activating layout Regular
2021-05-04 12:47:28 (24300) ToolbarManager: Instantiating toolbar: texture
2021-05-04 12:47:28 (24300) EventManager: Shortcuts found in Registry: 152
2021-05-04 12:47:28 (24300) DarkRadiant init.py called, this is Python 3.6.1 (v3.6.1:69c0db5, Mar 21 2017, 18:41:36) [MSC v.1900 64 bit (AMD64)]
2021-05-04 12:47:28 (24300) Registered script file commands/ase_export.py as aseExport
2021-05-04 12:47:28 (24300) Registered script file commands/ase_export_blend.py as aseExportBlend
2021-05-04 12:47:28 (24300) Registered script file commands/change_all_textures.py as ChangeAllTextures
2021-05-04 12:47:28 (24300) Registered script file commands/check_for_invalid_visportals.py as check_invalid_visportals
2021-05-04 12:47:28 (24300) Registered script file commands/example.py as Example
2021-05-04 12:47:28 (24300) Registered script file commands/export_obj.py as objExport
2021-05-04 12:47:28 (24300) Registered script file commands/find_duplicate_entities.py as findDuplicateEntities
2021-05-04 12:47:28 (24300) Registered script file commands/patchsplitter.py as SplitPatch
2021-05-04 12:47:28 (24300) Registered script file commands/patch_noise.py as PatchNoise
2021-05-04 12:47:28 (24300) Registered script file commands/randomise_texture_x_individual.py as RandomiseTextureXIndividual
2021-05-04 12:47:28 (24300) Registered script file commands/select_all_entities.py as SelectAllEntities
2021-05-04 12:47:28 (24300) Registered script file commands/select_all_entities_of_type.py as SelectAllEntitiesOfType
2021-05-04 12:47:28 (24300) Registered script file commands/select_all_funcstatic.py as SelectAllFuncstatics
2021-05-04 12:47:28 (24300) Registered script file commands/select_all_models_of_type.py as SelectAllModelsOfType
2021-05-04 12:47:28 (24300) Registered script file commands/shift_textures_randomly.py as ShiftTexturesRandomly
2021-05-04 12:47:28 (24300) Registered script file commands/shift_textures_upwards_randomly.py as ShiftTexturesUpwardsRandomly
2021-05-04 12:47:28 (24300) Registered script file commands/test_targets.py as test_targets
2021-05-04 12:47:28 (24300) ScriptModule: Found 17 commands.
2021-05-04 12:47:28 (24300) GL_VENDOR: NVIDIA Corporation
2021-05-04 12:47:28 (24300) GL_RENDERER: NVIDIA GeForce GTX 1660 SUPER/PCIe/SSE2
2021-05-04 12:47:28 (24300) GL_VERSION: 4.6.0 NVIDIA 466.11
2021-05-04 12:47:28 (24300) GL_EXTENSIONS: GL_AMD_multi_draw_indirect GL_AMD_seamless_cubemap_per_texture GL_AMD_vertex_shader_viewport_index GL_AMD_vertex_shader_layer GL_ARB_arrays_of_arrays GL_ARB_base_instance GL_ARB_bindless_texture GL_ARB_blend_func_extended GL_ARB_buffer_storage GL_ARB_clear_buffer_object GL_ARB_clear_texture GL_ARB_clip_control GL_ARB_color_buffer_float GL_ARB_compatibility GL_ARB_compressed_texture_pixel_storage GL_ARB_conservative_depth GL_ARB_compute_shader GL_ARB_compute_variable_group_size GL_ARB_conditional_render_inverted GL_ARB_copy_buffer GL_ARB_copy_image GL_ARB_cull_distance GL_ARB_debug_output GL_ARB_depth_buffer_float GL_ARB_depth_clamp GL_ARB_depth_texture GL_ARB_derivative_control GL_ARB_direct_state_access GL_ARB_draw_buffers GL_ARB_draw_buffers_blend GL_ARB_draw_indirect GL_ARB_draw_elements_base_vertex GL_ARB_draw_instanced GL_ARB_enhanced_layouts GL_ARB_ES2_compatibility GL_ARB_ES3_compatibility GL_ARB_ES3_1_compatibility GL_ARB_ES3_2_compatibility GL_ARB_explicit_attrib_location GL_ARB_explicit_uniform_location GL_ARB_fragment_coord_conventions GL_ARB_fragment_layer_viewport GL_ARB_fragment_program GL_ARB_fragment_program_shadow GL_ARB_fragment_shader GL_ARB_fragment_shader_interlock GL_ARB_framebuffer_no_attachments GL_ARB_framebuffer_object GL_ARB_framebuffer_sRGB GL_ARB_geometry_shader4 GL_ARB_get_program_binary GL_ARB_get_texture_sub_image GL_ARB_gl_spirv GL_ARB_gpu_shader5 GL_ARB_gpu_shader_fp64 GL_ARB_gpu_shader_int64 GL_ARB_half_float_pixel GL_ARB_half_float_vertex GL_ARB_imaging GL_ARB_indirect_parameters GL_ARB_instanced_arrays GL_ARB_internalformat_query GL_ARB_internalformat_query2 GL_ARB_invalidate_subdata GL_ARB_map_buffer_alignment GL_ARB_map_buffer_range GL_ARB_multi_bind GL_ARB_multi_draw_indirect GL_ARB_multisample GL_ARB_multitexture GL_ARB_occlusion_query GL_ARB_occlusion_query2 GL_ARB_parallel_shader_compile GL_ARB_pipeline_statistics_query GL_ARB_pixel_buffer_object GL_ARB_point_parameters GL_ARB_point_sprite GL_ARB_polygon_offset_clamp GL_ARB_post_depth_coverage GL_ARB_program_interface_query GL_ARB_provoking_vertex GL_ARB_query_buffer_object GL_ARB_robust_buffer_access_behavior GL_ARB_robustness GL_ARB_sample_locations GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_ARB_seamless_cubemap_per_texture GL_ARB_separate_shader_objects GL_ARB_shader_atomic_counter_ops GL_ARB_shader_atomic_counters GL_ARB_shader_ballot GL_ARB_shader_bit_encoding GL_ARB_shader_clock GL_ARB_shader_draw_parameters GL_ARB_shader_group_vote GL_ARB_shader_image_load_store GL_ARB_shader_image_size GL_ARB_shader_objects GL_ARB_shader_precision GL_ARB_shader_storage_buffer_object GL_ARB_shader_subroutine GL_ARB_shader_texture_image_samples GL_ARB_shader_texture_lod GL_ARB_shading_language_100 GL_ARB_shader_viewport_layer_array GL_ARB_shading_language_420pack GL_ARB_shading_language_include GL_ARB_shading_language_packing GL_ARB_shadow GL_ARB_sparse_buffer GL_ARB_sparse_texture GL_ARB_sparse_texture2 GL_ARB_sparse_texture_clamp GL_ARB_spirv_extensions GL_ARB_stencil_texturing GL_ARB_sync GL_ARB_tessellation_shader GL_ARB_texture_barrier GL_ARB_texture_border_clamp GL_ARB_texture_buffer_object GL_ARB_texture_buffer_object_rgb32 GL_ARB_texture_buffer_range GL_ARB_texture_compression GL_ARB_texture_compression_bptc GL_ARB_texture_compression_rgtc GL_ARB_texture_cube_map GL_ARB_texture_cube_map_array GL_ARB_texture_env_add GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_filter_anisotropic GL_ARB_texture_filter_minmax GL_ARB_texture_float GL_ARB_texture_gather GL_ARB_texture_mirror_clamp_to_edge GL_ARB_texture_mirrored_repeat GL_ARB_texture_multisample GL_ARB_texture_non_power_of_two GL_ARB_texture_query_levels GL_ARB_texture_query_lod GL_ARB_texture_rectangle GL_ARB_texture_rg GL_ARB_texture_rgb10_a2ui GL_ARB_texture_stencil8 GL_ARB_texture_storage GL_ARB_texture_storage_multisample GL_ARB_texture_swizzle GL_ARB_texture_view GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_ARB_transform_feedback_instanced GL_ARB_transform_feedback_overflow_query GL_ARB_transpose_matrix GL_ARB_uniform_buffer_object GL_ARB_vertex_array_bgra GL_ARB_vertex_array_object GL_ARB_vertex_attrib_64bit GL_ARB_vertex_attrib_binding GL_ARB_vertex_buffer_object GL_ARB_vertex_program GL_ARB_vertex_shader GL_ARB_vertex_type_10f_11f_11f_rev GL_ARB_vertex_type_2_10_10_10_rev GL_ARB_viewport_array GL_ARB_window_pos GL_ATI_draw_buffers GL_ATI_texture_float GL_ATI_texture_mirror_once GL_S3_s3tc GL_EXT_texture_env_add GL_EXT_abgr GL_EXT_bgra GL_EXT_bindable_uniform GL_EXT_blend_color GL_EXT_blend_equation_separate GL_EXT_blend_func_separate GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_compiled_vertex_array GL_EXT_Cg_shader GL_EXT_depth_bounds_test GL_EXT_direct_state_access GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_draw_range_elements GL_EXT_fog_coord GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXTX_framebuffer_mixed_formats GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_framebuffer_object GL_EXT_framebuffer_sRGB GL_EXT_geometry_shader4 GL_EXT_gpu_program_parameters GL_EXT_gpu_shader4 GL_EXT_multi_draw_arrays GL_EXT_multiview_texture_multisample GL_EXT_multiview_timer_query GL_EXT_packed_depth_stencil GL_EXT_packed_float GL_EXT_packed_pixels GL_EXT_pixel_buffer_object GL_EXT_point_parameters GL_EXT_polygon_offset_clamp GL_EXT_post_depth_coverage GL_EXT_provoking_vertex GL_EXT_raster_multisample GL_EXT_rescale_normal GL_EXT_secondary_color GL_EXT_separate_shader_objects GL_EXT_separate_specular_color GL_EXT_shader_image_load_formatted GL_EXT_shader_image_load_store GL_EXT_shader_integer_mix GL_EXT_shadow_funcs GL_EXT_sparse_texture2 GL_EXT_stencil_two_side GL_EXT_stencil_wrap GL_EXT_texture3D GL_EXT_texture_array GL_EXT_texture_buffer_object GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_latc GL_EXT_texture_compression_rgtc GL_EXT_texture_compression_s3tc GL_EXT_texture_cube_map GL_EXT_texture_edge_clamp GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 GL_EXT_texture_filter_anisotropic GL_EXT_texture_filter_minmax GL_EXT_texture_integer GL_EXT_texture_lod GL_EXT_texture_lod_bias GL_EXT_texture_mirror_clamp GL_EXT_texture_object GL_EXT_texture_shadow_lod GL_EXT_texture_shared_exponent GL_EXT_texture_sRGB GL_EXT_texture_sRGB_R8 GL_EXT_texture_sRGB_decode GL_EXT_texture_storage GL_EXT_texture_swizzle GL_EXT_timer_query GL_EXT_transform_feedback2 GL_EXT_vertex_array GL_EXT_vertex_array_bgra GL_EXT_vertex_attrib_64bit GL_EXT_window_rectangles GL_EXT_import_sync_object GL_IBM_rasterpos_clip GL_IBM_texture_mirrored_repeat GL_KHR_context_flush_control GL_KHR_debug GL_EXT_memory_object GL_EXT_memory_object_win32 GL_NV_memory_object_sparse GL_EXT_win32_keyed_mutex GL_KHR_parallel_shader_compile GL_KHR_no_error GL_KHR_robust_buffer_access_behavior GL_KHR_robustness GL_EXT_semaphore GL_EXT_semaphore_win32 GL_NV_timeline_semaphore GL_KHR_shader_subgroup GL_KTX_buffer_region GL_NV_alpha_to_coverage_dither_control GL_NV_bindless_multi_draw_indirect GL_NV_bindless_multi_draw_indirect_count GL_NV_bindless_texture GL_NV_blend_equation_advanced GL_NV_blend_equation_advanced_coherent GL_NVX_blend_equation_advanced_multi_draw_buffers GL_NV_blend_minmax_factor GL_NV_blend_square GL_NV_clip_space_w_scaling GL_NV_command_list GL_NV_compute_program5 GL_NV_compute_shader_derivatives GL_NV_conditional_render GL_NV_conservative_raster GL_NV_conservative_raster_dilate GL_NV_conservative_raster_pre_snap GL_NV_conservative_raster_pre_snap_triangles GL_NV_conservative_raster_underestimation GL_NV_copy_depth_to_color GL_NV_copy_image GL_NV_depth_buffer_float GL_NV_depth_clamp GL_NV_draw_texture GL_NV_draw_vulkan_image GL_NV_ES1_1_compatibility GL_NV_ES3_1_compatibility GL_NV_explicit_multisample GL_NV_feature_query GL_NV_fence GL_NV_fill_rectangle GL_NV_float_buffer GL_NV_fog_distance GL_NV_fragment_coverage_to_color GL_NV_fragment_program GL_NV_fragment_program_option GL_NV_fragment_program2 GL_NV_fragment_shader_barycentric GL_NV_fragment_shader_interlock GL_NV_framebuffer_mixed_samples GL_NV_framebuffer_multisample_coverage GL_NV_geometry_shader4 GL_NV_geometry_shader_passthrough GL_NV_gpu_program4 GL_NV_internalformat_sample_query GL_NV_gpu_program4_1 GL_NV_gpu_program5 GL_NV_gpu_program5_mem_extended GL_NV_gpu_program_fp64 GL_NV_gpu_shader5 GL_NV_half_float GL_NV_light_max_exponent GL_NV_memory_attachment GL_NV_mesh_shader GL_NV_multisample_coverage GL_NV_multisample_filter_hint GL_NV_occlusion_query GL_NV_packed_depth_stencil GL_NV_parameter_buffer_object GL_NV_parameter_buffer_object2 GL_NV_path_rendering GL_NV_path_rendering_shared_edge GL_NV_pixel_data_range GL_NV_point_sprite GL_NV_primitive_restart GL_NV_query_resource GL_NV_query_resource_tag GL_NV_register_combiners GL_NV_register_combiners2 GL_NV_representative_fragment_test GL_NV_sample_locations GL_NV_sample_mask_override_coverage GL_NV_scissor_exclusive GL_NV_shader_atomic_counters GL_NV_shader_atomic_float GL_NV_shader_atomic_float64 GL_NV_shader_atomic_fp16_vector GL_NV_shader_atomic_int64 GL_NV_shader_buffer_load GL_NV_shader_storage_buffer_object GL_NV_shader_subgroup_partitioned GL_NV_shader_texture_footprint GL_NV_shading_rate_image GL_NV_stereo_view_rendering GL_NV_texgen_reflection GL_NV_texture_barrier GL_NV_texture_compression_vtc GL_NV_texture_env_combine4 GL_NV_texture_multisample GL_NV_texture_rectangle GL_NV_texture_rectangle_compressed GL_NV_texture_shader GL_NV_texture_shader2 GL_NV_texture_shader3 GL_NV_transform_feedback GL_NV_transform_feedback2 GL_NV_uniform_buffer_unified_memory GL_NV_vertex_array_range GL_NV_vertex_array_range2 GL_NV_vertex_attrib_integer_64bit GL_NV_vertex_buffer_unified_memory GL_NV_vertex_program GL_NV_vertex_program1_1 GL_NV_vertex_program2 GL_NV_vertex_program2_option GL_NV_vertex_program3 GL_NV_viewport_array2 GL_NV_viewport_swizzle GL_NVX_conditional_render GL_NVX_linked_gpu_multicast GL_NV_gpu_multicast GL_NVX_gpu_multicast2 GL_NVX_progress_fence GL_NVX_gpu_memory_info GL_NVX_multigpu_info GL_NVX_nvenc_interop GL_NV_shader_thread_group GL_NV_shader_thread_shuffle GL_KHR_blend_equation_advanced GL_KHR_blend_equation_advanced_coherent GL_OVR_multiview GL_OVR_multiview2 GL_SGIS_generate_mipmap GL_SGIS_texture_lod GL_SGIX_depth_texture GL_SGIX_shadow GL_SUN_slice_accum GL_WIN_swap_hint WGL_EXT_swap_control 
2021-05-04 12:47:28 (24300) [OpenGLRenderSystem] GLSL shading IS available.
2021-05-04 12:47:28 (24300) Loading map from D:/games/monstergame/base/maps/test0.map
2021-05-04 12:47:28 (24300) Open file d:/games/monstergame/base/maps/test0.map from filesystem...success.
2021-05-04 12:47:28 (24300) Using Doom 3 format to load the data.
2021-05-04 12:47:29 (24300) Open file d:/games/monstergame/base/maps/test0.darkradiant from filesystem...success.
2021-05-04 12:47:29 (24300) Parsing info file...
2021-05-04 12:47:29 (24300) [InfoFile]: Parsed map editing time.
2021-05-04 12:47:29 (24300) [InfoFile]: Parsed layer #0 with name Default
2021-05-04 12:47:29 (24300) Sanity-checking the layer assignments...done, had to fix 0 assignments.
2021-05-04 12:47:29 (24300) [InfoFile]: Parsed 4 map properties.
2021-05-04 12:47:29 (24300) map load timer:  0.22 second(s) elapsed
2021-05-04 12:47:29 (24300) Read 22126 seconds of total map editing time.
2021-05-04 12:47:29 (24300) --- LoadMapFile ---
2021-05-04 12:47:29 (24300) D:/games/monstergame/base/maps/test0.map
2021-05-04 12:47:29 (24300) 6 brushes
2021-05-04 12:47:29 (24300) 0 patches
2021-05-04 12:47:29 (24300) 5 entities
2021-05-04 12:47:30 (18684) Auto-saving registry to user settings path.
2021-05-04 12:47:35 (24300) [OpenGLRenderSystem] GLSL shading IS available.
2021-05-04 12:47:35 (24300) [renderer] Creating GLSL bump program
2021-05-04 12:47:35 (24300) Unhandled Exception: Failed to compile GLSL shader:
2021-05-04 12:47:35 (24300) 
2021-05-04 12:47:35 (24300) ShaderLibrary: definition not found: 
2021-05-04 12:47:35 (24300) ShaderLibrary: definition not found: material
2021-05-04 12:47:36 (24300) Unhandled Exception: Failed to compile GLSL shader:
2021-05-04 12:47:36 (24300) 
2021-05-04 12:47:37 (24300) Unhandled Exception: Failed to compile GLSL shader:
2021-05-04 12:47:37 (24300) 
2021-05-04 12:47:37 (24300) CommandSystem: shutting down.
2021-05-04 12:47:37 (24300) BrushModuleImpl::shutdownModule called.
2021-05-04 12:47:37 (24300) EntityClassDoom3::shutdownModule called.
2021-05-04 12:47:37 (24300) EntityModule::shutdownModule called.
2021-05-04 12:47:37 (24300) EventManager::shutdownModule called
2021-05-04 12:47:37 (24300) MainFrame::shutdownModule called.
2021-05-04 12:47:37 (24300) MainFrameLayoutManager::shutdownModule called.
2021-05-04 12:47:37 (24300) MapInfoFileManager::shudownModule called.
2021-05-04 12:47:37 (24300) Doom3ShaderSystem::shutdownModule called
2021-05-04 12:47:38 (24300) ObjectivesEditorModule shutting down.
2021-05-04 12:47:38 (24300) ScriptingSystem::shutdownModule called.
2021-05-04 12:47:38 (24300) Filesystem shut down
2021-05-04 12:47:38 (24300) XMLRegistry Shutdown: 490 queries processed.
2021-05-04 12:47:38 (24300) ModuleRegistry: Warning! Module with name EventManager requested but not found!
darkradiant-2.log (34,697 bytes)   
greebo

greebo

05.05.2021 02:52

administrator   ~0013952

There seems to be a problem compiling the shader programs:

> Unhandled Exception: Failed to compile GLSL shader:

But it fails to give any information what might be wrong. Can you confirm, that the gl/ folder contains a total of 5 .glsl files?
I assume it also crashes when switching to lighting preview mode in the regular camera window with your map loaded (shortcut should be F3)?
By any chance, do you have a second machine around where you could try to start DR and switch to lighting mode?
BrendonChung

BrendonChung

05.05.2021 03:46

reporter   ~0013953

Yes - the DarkRadiant gl/ folder has 5 .glsl files:
- interaction_fp.glsl
- interaction_vp.glsl
- zfill_alpha_fp.glsl
- zfill_fp.glsl
- zfill_vp.glsl

DR does not crash when I activate the lighting preview mode. It seems to work fine.

I tried it on a second machine, and DR's lighting preview mode also works fine there. The material editor crash also happens there as well.

I just remembered: I installed DR v2.12.0 over an existing version of DR. I will do a clean install and see if that perhaps helps.
greebo

greebo

05.05.2021 14:20

administrator   ~0013955

It's interesting that the regular camera lighting preview is working but the Material Editor is still crashing. Both are using the same GLSL program, so there must be something else getting in the way, not the GLSL program.

I tried to replicate the game setup you are running, but I don't know exactly how it's looking like. Are you running into any notification popups about "unable to setup preview" or "func_static" missing or something like that?
I just want to make sure it's not just due to a missing entityDef. You don't happen to have a TDM installation around to check against it?
BrendonChung

BrendonChung

05.05.2021 14:36

reporter   ~0013956

I haven't seen any notifications about missing entity defs, no. To the best of my knowledge we have all the defs needed by the engine.

I changed the Game/Project Setup to point toward the TDM folder, and the Material Editor works fine: I see a brick room, and a rotating cube in the middle of it.
(is it perhaps possible I'm missing the brick texture?)
greebo

greebo

05.05.2021 15:44

administrator   ~0013958

Ok, then it's indeed a resource problem. Maybe you could check out the two game files in your games/ folder (below DarkRadiant.exe), darkmod.game and doom3.game.

The darkmod.game has definitions used by the Material Editor, they are likely missing in the doom3.game file:

<materialPreview>
    <defaultRoomMaterial value="textures/darkmod/stone/brick/blocks_brown" />
    <defaultLightDef value="light_torchflame" />
</materialPreview>

Can you try to translate them to your doom3.game file?
BrendonChung

BrendonChung

05.05.2021 17:18

reporter   ~0013959

It works! I added the 'materialPreview' field to doom3.game and the Material Editor works fine now.

Thank you!
greebo

greebo

05.05.2021 17:36

administrator   ~0013960

Nice! Can you post the doom3.game file here, then I'll update it accordingly in source.
BrendonChung

BrendonChung

05.05.2021 17:50

reporter   ~0013961

Sure thing, attached!

(Note: for the "defaultRoomMaterial" field, I changed it to a material included in retail Doom 3.)
doom3.game (14,593 bytes)   
<?xml version="1.0"?>
<game
  type="doom3"
  index="15"
  name="Doom 3"
  enginepath_win32="C:/games/doom3/"
  enginepath_linux="/usr/local/games/doom3/"
  enginepath_macos="/usr/local/games/doom3/"
  engine_win32="Doom3.exe"
  engine_linux="Doom3"
  engine_macos="Doom3.app"
  prefix=".doom3"
  basegame="base"
  basegamename="Doom 3"
  unknowngamename="Custom Doom 3 modification"
  archivetypes="pk4"
  modeltypes="lwo ase md5mesh"
  maptypes="mapdoom3"
  shaders="doom3"
  entityclass="doom3"
  entities="doom3"
  brushtypes="doom3"
  patchtypes="doom3 def2doom3"
  registryKey="SOFTWARE\id\Doom 3"
  registryValue="InstallPath"
>
	<!-- Types of resource files which are used by this game -->
	<filetypes>
		<texture>
			<extension>tga</extension>
			<extension>jpg</extension>
			<extension>dds</extension>
		</texture>
	</filetypes>

	<!-- Filters to use for the filter system -->
	<filtersystem>
		<filter name="World geometry">
			<filterCriterion
				type="entityclass"
				match="worldspawn"
				action="hide" />
		</filter>
		<filter name="Caulk">
			<filterCriterion
				type="texture"
				match="textures/common/caulk"
				action="hide" />
		</filter>
		<filter name="Collision surfaces">
			<filterCriterion
				type="texture"
				match="textures/common/collision"
				action="hide" />
			<filterCriterion
				type="texture"
				match="tdm_collision_.*"
				action="hide" />
		</filter>
		<filter name="Lights">
			<filterCriterion type="entityclass" match="light" action="hide" />
			<filterCriterion type="entityclass" match="light_.*" action="hide" />
		</filter>
    <filter name="Func_static Entities">
      <filterCriterion type="entityclass" match="func_static" action="hide" />
    </filter>
		<filter name="All entities">
			<filterCriterion type="entityclass" match=".*" action="hide" />
			<filterCriterion type="entityclass" match="worldspawn" action="show" />
		</filter>
		<filter name="Visportals">
			<filterCriterion type="texture" match="textures/editor/visportal" action="hide" />
			<filterCriterion type="texture" match="textures/common/nodraw" action="hide" />
		</filter>
		<filter name="Decals">
			<filterCriterion type="texture" match="textures(.*)decals(.*)" action="hide" />
		</filter>
		<filter name="Clip Textures">
			<filterCriterion
				type="texture"
				match="textures/common/(.*)_clip$"
				action="hide" />
			<filterCriterion type="texture" match="textures/common/clip(_plusmovables)*$" action="hide" />
			<filterCriterion type="texture" match="textures/common/moveableclipmodel" action="hide" />
		</filter>
		<filter name="Trigger Textures">
			<filterCriterion
				type="texture"
				match="textures/common/trig(.*)"
				action="hide" />
		</filter>
		<filter name="Nodraw Textures">
			<filterCriterion
				type="texture"
				match="textures/common/nodraw(.*)"
				action="hide" />
			<filterCriterion
				type="texture"
				match="textures/common/tdm_nodraw(.*)"
				action="hide" />
		</filter>
		<filter name="Shadow Textures">
			<filterCriterion
				type="texture"
				match="textures/common/shadow(.*)"
				action="hide" />
		</filter>
		<filter name="Patches">
			<filterCriterion type="object" match="patch" action="hide" />
		</filter>
		<filter name="Brushes">
			<filterCriterion type="object" match="brush" action="hide" />
		</filter>
		<filter name="Weather Textures">
			<filterCriterion type="texture" match="textures/darkmod/weather/.*"	action="hide" />
		</filter>
		<filter name="Paths">
			<filterCriterion type="entityclass" match="path_.*" action="hide" />
		</filter>
	</filtersystem>
	<filesystem>
		<shaders>
			<basepath>materials</basepath>
			<extension>mtr</extension>
		</shaders>
		<fonts>
			<basepath>fonts</basepath>
			<extension>dat</extension>
		</fonts>
	</filesystem>
	<defaults>
		<lightShader value="lights/defaultPointLight" />
		<lightScale>2</lightScale>
		<lightRadius value="320 320 320" />
		<maxWorldCoord value="65536" />
		<minWorldCoord value="-65536" />
		<defaultTexture value="_default" />
		<collisionTexture value="textures/common/collision" />
		<monsterClipShader value="textures/common/monster_clip" />
		<visportalShader value="textures/editor/visportal" />
		<nodrawShader value="textures/common/nodraw" />
		<collisionModelExt value="cm" />
		<defaultCurveEntity value="func_splinemover" />
		<curveNurbsKey value="curve_Nurbs" />
		<curveCatmullRomKey value="curve_CatmullRomSpline" />
		<bindKey value="bind" />
		<playerHeight value="64" />
		<nameKey value="name" />
        <speakerMinRadius value="24" />
        <speakerMaxRadius value="32" />
		<guiSmallFontLimit value="0.15" />
		<guiMediumFontLimit value="0.30" />
	</defaults>
  <modelFormat>
    <ase>
      <!-- Use just the value in *BITMAP -->
      <useMaterialNameIfNoBitmapFound value="0" />
    </ase>
  </modelFormat>
	<entityChooser>
		<displayFolderKey value="editor_displayFolder" />
	</entityChooser>
	<entityInspector>
		<property match="origin" category="Basic" type="vector3">The origin of this object in 3D space</property>
		<property match="classname" category="Basic" type="classname">The classname of this entity. This must be a recognised class defined in one of the DEF files, and governs the overall behaviour of the entity</property>
		<property match="name" category="Basic" type="text">The displayed name of this entity. This can be arbitrary, but must be unique across the entire map</property>
		<property match="rotation" category="Basic" type="text" />
		<property match="_color" category="Basic" type="colour" />
		<property match="angle"
                  category="Basic"
                  type="angle"
                  options="0,360">The direction this entity initially faces.  Generally applied to AI or player_start entities.</property>
		<property match="falloff" category="Light" type="text" />
		<property match="light_radius" category="Light" type="vector3" />
		<property match="light_rotation" category="Light" type="text" />
		<property match="light_center" category="Light" type="vector3" />
		<property match="light_target" category="Light" type="vector3" />
		<property match="light_up" category="Light" type="vector3" />
		<property match="light_right" category="Light" type="vector3" />
		<property match="light_start" category="Light" type="vector3" />
		<property match="light_end" category="Light" type="vector3" />
		<property match="parallel" category="Light" type="bool" />
		<property match="nodiffuse" category="Light" type="bool" />
		<property match="noshadows" category="Light" type="bool" />
		<property match="nospecular" category="Light" type="bool" />
		<property
			match="texture"
			category="Light"
			type="texture"
			options="lights,fogs"
		/>
		<property match="extinguished" category="Light" type="bool" />
		<property match="model" category="Model" type="model">The displayed model or particle system for this entity. For a func_static or other entity type which can have brushes as children, this key must be set to the same value as "name" if brushes are used</property>
		<property match="model_lit" category="Model" type="model">The model or particle system to be used when this entity is lit (i.e. for torches).</property>
		<property match="model_extinguished" category="Model" type="model">The model or particle system to be used when this torch entity is extinguished.</property>
		<property match="skin" category="Model" type="skin" />
		<property match="noshadows" category="Model" type="bool" />
		<property match="solid" category="Model" type="bool" />
		<property match="target" category="Links" type="entity" />
		<property match="target0" category="Links" type="entity" />
		<property match="target1" category="Links" type="entity" />
		<property match="target2" category="Links" type="entity" />
		<property match="target3" category="Links" type="entity" />
		<property match="target4" category="Links" type="entity" />
		<property match="target5" category="Links" type="entity" />
		<property match="target6" category="Links" type="entity" />
		<property match="target7" category="Links" type="entity" />
		<property match="target8" category="Links" type="entity" />
		<property match="target9" category="Links" type="entity" />
		<property match="target10" category="Links" type="entity" />
		<property match="bind" category="Links" type="entity" />
		<property match="bindToJoint" category="Links" type="text" />
		<property match="s_shader" category="Sound" type="sound" />
		<property match="snd_.*" category="Sound" type="sound" hidden="1" />
		<property match="s_mindistance" category="Sound" type="text" />
		<property match="s_maxdistance" category="Sound" type="text" />
		<property match="s_looping" category="Sound" type="bool" />
		<property match="s_waitfortrigger" category="Sound" type="bool" />
		<property match="s_occlusion" category="Sound" type="bool" />
		<property match="s_omni" category="Sound" type="bool" />
		<property match="s_volume" category="Sound" type="text" />
		<property match="s_global" category="Sound" type="bool" />
	</entityInspector>

	<!-- Game-specific values for light entities -->
	<light>

		<!-- List of prefixes that may be used to represent light shaders -->
		<texture>
			<prefix>lights</prefix>
			<prefix>fogs</prefix>
		</texture>

	</light>

	<!-- Information about the map format, for loading and saving -->
	<mapFormat>
		<floatPrecision value="16" />
		<fileExtension value="map" />
		<mapFolder value="maps/" />
		<prefabFolder value="prefabs/" />
		<!-- Compatibility options -->
		<compatibility>
			<addDummyBrushes value="false" />
		</compatibility>
		<lastCameraPositionKey value="editor_drLastCameraPos" />
		<lastCameraAngleKey value="editor_drLastCameraAngle" />
		<!-- The root key names of the map positions (e.g. editor_drMapPos1) -->
		<mapPositionPosKey value="editor_drMapPos" />
		<mapPositionAngleKey value="editor_drMapAngle" />
		<playerStartPoint value="info_player_start" />
		<infoFileExtension value=".darkradiant" />
	</mapFormat>

	<stimResponseSystem>
		<stims>
			<stim id="0" name="STIM_FROB" caption="Frob" icon="sr_icon_frob.png" />
			<stim id="1" name="STIM_FIRE" caption="Fire" icon="sr_icon_fire.png" />
			<stim id="2" name="STIM_WATER" caption="Water" icon="sr_icon_water.png" />
			<stim id="3" name="STIM_DAMAGE" caption="Damage" icon="sr_icon_damage.png" />
			<stim id="4" name="STIM_SHIELD" caption="Shield" icon="sr_icon_shield.png" />
			<stim id="5" name="STIM_HEALING" caption="Healing" icon="sr_icon_healing.png" />
			<stim id="6" name="STIM_HOLY" caption="Holy" icon="sr_icon_holy.png" />
			<stim id="7" name="STIM_MAGIC" caption="Magic" icon="sr_icon_magic.png" />
			<stim id="8" name="STIM_TOUCH" caption="Touch" icon="sr_icon_touch.png" />
			<stim id="9" name="STIM_KNOCKOUT" caption="Knockout" icon="sr_icon_knockout.png" />
			<stim id="10" name="STIM_KILL" caption="Kill" icon="sr_icon_kill.png" />
			<stim id="11" name="STIM_RESTORE" caption="Restore" icon="sr_icon_restore.png" />
			<stim id="12" name="STIM_LIGHT" caption="Light" icon="sr_icon_light.png" />
			<stim id="13" name="STIM_SOUND" caption="Sound" icon="sr_icon_sound.png" />
			<stim id="14" name="STIM_VISUAL" caption="Visual" icon="sr_icon_visual.png" />
			<stim id="15" name="STIM_INVITE" caption="Invitation" icon="sr_icon_invite.png" />
			<stim id="16" name="STIM_READ" caption="Readable" icon="sr_icon_readable.png" />
			<stim id="17" name="STIM_RANDOM" caption="Random" icon="sr_icon_random.png" />
			<stim id="18" name="STIM_TIMER" caption="Timer" icon="sr_icon_timer.png" />
			<stim id="19" name="STIM_COMMUNICATION" caption="Communication" icon="sr_icon_communication.png" />
			<stim id="20" name="STIM_GAS" caption="Gas" icon="sr_icon_gas.png" />
			<stim id="21" name="STIM_TRIGGER" caption="Trigger" icon="sr_icon_trigger.png" />
			<stim id="22" name="STIM_TARGET_REACHED" caption="Target Reached" icon="sr_icon_target_reached.png" />
			<stim id="23" name="STIM_PLAYER" caption="Player" icon="sr_icon_thief.png" />
			<stim id="24" name="STIM_FLASH" caption="Flash" icon="sr_icon_flash.png" />
			<stim id="25" name="STIM_BLIND" caption="Blind" icon="sr_icon_flash.png" />
      <stim id="26" name="STIM_MOSS" caption="Moss" icon="sr_icon_gas.png" />
		</stims>
		<properties>
			<!-- The key root names "class" refers to "sr_class_N" -->
			<property name="class" classes="SR" />
			<property name="use_bounds" classes="S" />
			<property name="magnitude" classes="S" />
			<property name="falloffexponent" classes="S" />
			<property name="time_interval" classes="S" />
			<property name="type" classes="SR" />
			<property name="state" classes="SR" />
			<property name="radius" classes="S" />
			<property name="radius_final" classes="S" />
			<property name="duration" classes="S" />
			<property name="timer_type" classes="S" />
			<property name="timer_reload" classes="S" />
			<property name="timer_time" classes="S" />
			<property name="timer_waitforstart" classes="S" />
			<property name="chance" classes="SR" />
			<property name="random_effects" classes="R" />
			<property name="max_fire_count" classes="S" />
			<property name="bounds_mins" classes="S" />
			<property name="bounds_maxs" classes="S" />
			<property name="velocity" classes="S" />
		</properties>
		<customStimStorageEClass value="worldspawn" />
		<customStimKeyPrefix value="editor_dr_stim_" />
		<stimResponsePrefix value="sr_" />
		<lowestCustomStimId value="1000" />
		<responseEffectPrefix value="effect_" />
		<selfEntity value="_SELF" />
	</stimResponseSystem>

	<objectivesEditor>
		<objectivesEClass name="atdm:target_addobjectives" />
		<objectivesEClass name="target_tdm_addobjectives" />
	</objectivesEditor>

	<conversationSystem>
		<conversationCommandPrefix value="atdm:conversation_command_" />
	</conversationSystem>

	<difficulty>
		<numLevels value="3" />
		<defaultSettingsEclass value="atdm:difficulty_settings_default" />
		<mapSettingsEclass value="atdm:difficulty_settings" />
		<appTypeIgnore value="_IGNORE" />
		<difficultyMenuEclass value="difficultyMenu" />
	</difficulty>
    
    <materialPreview>
        <defaultRoomMaterial value="textures/base_wall/lfwall13f3" />
        <defaultLightDef value="lights/defaultPointLight" />
    </materialPreview>
</game>
doom3.game (14,593 bytes)   
greebo

greebo

05.05.2021 17:52

administrator   ~0013962

Perfect, thanks! This saves me from looking up a default Doom 3 material

Related Changesets

DarkRadiant: master ece0da82

2021-05-05 17:53:27

greebo

Details Diff
0005602: Add material editor section to doom3.game to prevent it from crashing Affected Issues
0005602
mod - install/games/doom3.game Diff File

Issue History

Date Modified Username Field Change
04.05.2021 16:19 BrendonChung New Issue
04.05.2021 18:06 greebo Status new => acknowledged
04.05.2021 18:18 greebo Note Added: 0013947
04.05.2021 18:18 greebo Status acknowledged => feedback
04.05.2021 18:19 greebo Note Added: 0013948
04.05.2021 19:45 BrendonChung Note Added: 0013949
04.05.2021 19:45 BrendonChung File Added: 2021-05-04 12_34_44-Greenshot.png
04.05.2021 19:45 BrendonChung Status feedback => new
04.05.2021 19:46 BrendonChung Note Added: 0013950
04.05.2021 19:46 BrendonChung File Added: darkradiant.log
04.05.2021 19:48 BrendonChung Note Added: 0013951
04.05.2021 19:48 BrendonChung File Added: darkradiant-2.log
04.05.2021 19:48 BrendonChung Note Edited: 0013950
05.05.2021 02:52 greebo Note Added: 0013952
05.05.2021 02:53 greebo Status new => feedback
05.05.2021 03:46 BrendonChung Note Added: 0013953
05.05.2021 03:46 BrendonChung Status feedback => new
05.05.2021 14:20 greebo Note Added: 0013955
05.05.2021 14:21 greebo Status new => feedback
05.05.2021 14:36 BrendonChung Note Added: 0013956
05.05.2021 14:36 BrendonChung Status feedback => new
05.05.2021 15:44 greebo Note Added: 0013958
05.05.2021 15:44 greebo Status new => feedback
05.05.2021 17:18 BrendonChung Note Added: 0013959
05.05.2021 17:18 BrendonChung Status feedback => new
05.05.2021 17:36 greebo Note Added: 0013960
05.05.2021 17:36 greebo Status new => feedback
05.05.2021 17:37 greebo Summary Crash when activating the Material Editor => Crash when activating the Material Editor in Doom3 game config
05.05.2021 17:50 BrendonChung Note Added: 0013961
05.05.2021 17:50 BrendonChung File Added: doom3.game
05.05.2021 17:50 BrendonChung Status feedback => new
05.05.2021 17:52 greebo Assigned To => greebo
05.05.2021 17:52 greebo Status new => confirmed
05.05.2021 17:52 greebo Note Added: 0013962
05.05.2021 17:52 greebo Assigned To greebo =>
05.05.2021 17:52 greebo Assigned To => greebo
05.05.2021 17:52 greebo Status confirmed => assigned
05.05.2021 17:52 greebo Target Version => 2.13.0
05.05.2021 17:53 greebo Changeset attached => DarkRadiant master ece0da82
05.05.2021 17:53 greebo Status assigned => resolved
05.05.2021 17:53 greebo Resolution open => fixed
05.05.2021 17:53 greebo Fixed in Version => 2.13.0